Version 1.11.13 - Baquerizo Moreno 
----------------------------------
Core - General
  - Minor fix to index.php wrt regular expressions
  - Minor fix to cms_url class
  - Fixes path disclosure vulnerability in page functions
  - Fixes minor XSS issue in add bookmark
  - Adds minor casts and type safeness in change group permissions

News - 2.15
  - Security feature, now the fesubmit action (which is still deprecated) must be explicitly enabled in the News module options
  - Fixes XSS issues in the News module fesubmit action
  
MicroTiny
  - Improvements to URL handling when inserting links and images


Version 1.11.12 - Seymour Norte
--------------------------------
Core - General
  - Fixes ShowMessage() and ShowErrors() when using the NCleanGrey Admin theme
  - Now determine SSL requests in a centralized, and consistent manner
  - Dynamic root_url calculations now correctly determine schema
  - Using HTTPS by default now works for new pages
  - Minor fix for default content type selection when loading an object
  - Rationalize HTTPS request detection
  - Adds a new 403 exception
  - Adds a new method IsPermitted in the Content base class
  - Ensure that 404 and 403 errors do not cache
  - Fixes to caching of block plugins
  - Fixes to caching of content blocks on non cachable pages
  - Now set a global variable CMSMS_GENERATING_XML when generating an XML file

Core - MicroTiny
  - Improvements to URL generation

Core - Bug Reports
  - #10170 Incorrect setting for session_cache_limiter() in include.php


Version 1.11.11 - San Cristobal
-------------------------------
Core - General
  - Minor improvements to module loading
  - Minor fix to error console
  - xajax now cleans buffers before outputting anything
  - Improvements to behavior of the 'label' parameter on content_module blocks
  - Enable adodb transactions
  - Fix minor security issue with changegroupperms
  - Minor bug fixes wrt static routes
  - Now update dependencies when a module is upgraded
  - Fixes #10135

Core - Installer
  - Minor change to timezone handling

Core - Module Manager
  - Fixes problem with displaying help and about

Core - News
  - Fixed sorting by category

Core - MicroTiny
  - Updated to tinymce 3.5.11 to fix IE11 issues
  - Now use "forced_root_block: 'p'" to ensure that newlines generate paragraphs, and ctrl+enter generates <br /> tags


Version 1.11.10 - Pinzon
------------------------
Core - General
  - New versions of jquery, jquery-ui, blueimp-uploader
  - Makes security key 16 characters long
  - Smarty template engine upgraded to version 3.1.16
  - Fixes to function signatures, and fix a notice in cms_module_smarty_plugin_manager

Core - MicroTiny
  - Minor fix to MicroTiny

Core - FileManager
  - Fix and cleanup filemanager templates

Core - News
 - Fix potential SQL injection vulnerability wrt the sortby parameter

Core - FileManager
 - Fix issue with thumbnail generation on upload

Version 1.11.9 - Bartolome
-----------------------------
Core - General
  - Fixes version.php to represent new schema
  - Users with 'Modify Any Page' and 'Remove Content' can delete almost any page
  - Fixes minor issue with event handlers
  - Removes a debug limit on caching in contentoperations
  - Robots don't index Error Console pages
  - Only show technical details on the Error Console page to logged in administrators
  - Entropy improvement in the cookie used to stay loggedin

Core - Search
  - Fixes PHP 5.3 dependency

Core - Bug Reports
  - #9549 CMSMS 1.11.8 performance regression

Core - CMSMailer
  - No longer send SMTP password in plain text


Version 1.11.8 - Fioreana
-----------------------------
Core - General
  - Updated config reference
  - Fixes to module loading order stuff
  - Fixes so that a modules create_url method is called from module_support CreateLink function
  - Adds the TemplatePrefetch event
  - Minor fixes to module XML export
  - Adds the LoadAllContent method and optimizes loading of content list dropdowns and Listcontent
  - Performance optimizations for static and dynamic URL handling
  - Improve the help for content_image
  - Performance improvements for listcontent and add/editcontent
  - Improved and better documented sample htaccess.txt file
  - No longer allow upgrading inactive modules.
  - Smarty template engine upgraded to version 3.1.14
  - Optimization to Menumanager to load all pages when no parameters limit the amount of pages to display.
  - Adds a check to the installer and systeminfo page to test whether the filesystem has a significant time difference from the php process
  - The bbcode compatible system info report is now forced to English for posting in the forum

Core - Bug Reports
  - #8272 Sitename in Russian becomes unreadable
  - #8807 Section headers are accessible through changing URL
  - #9324 Title is now available when editing a section header
  - #9391 Bug in get_template_vars
  - #9415 Function get_upload_size on class.cms_config.php doesn't handle upload_max_filesize correct when it is 1G

Core - News
  - Adds a dropdown field type to News

Core - Search
  - No longer index templates and GCB's
  - Now can stop individual content blocks from being indexed
  - #7538 Search Module removes valid words when indexing
  - #8169 Search Module indexing partial smarty tags and failing to index words with dash

Core - Printing
  - minor fixes.


Version 1.11.7 - Genovesa
-----------------------------
Core - General
  - Added set_db_timezone config option which will execute the mysql command SET timezone attempting to solve the problem with date calculates wrt
    server timezone vs. user timezone.  Config option defaults to FALSE until CMSMS 2.0
  - Fixes BR#9269. Now it actually validates if output of get_real_ip() is actual IP address. Added another validation to login.php
     Thanks to LeakFree.nl for reporting this!


Version 1.11.6 - Merchena
-----------------------------
Core - General
  - Fixes a couple of XSS vulnerabilities, ** upgrading is recommended **
  - Fixes a problem with template parsing and <head vs. <header
  - Fixes a problem with some modules not listening to the {cms_set_language} stuff... order of execution problem
  - Simplex Theme, functions.js rewriten, fixes to touch menu in Android Chrome and Sample Slider


Version 1.11.5 - Puerto Ayora
-----------------------------
Core - General
  - Global Content Blocks (GCB's) can now only have letters and numbers in the name!!
  - Fixes to caching issues in MenuManager and module templates
  - Admin module actions now catch an exception
  - Fixes problem with error_reporting, takes error_reporting correctly from php.ini
  - Fixes problem with contentprecompile not being fired
  - Significant performance improvement in admin theme calculations (fixes silly error)
  - Fix typo in /lib/classes/module_support/modtemplates.inc.php
  - Fixes issue with compilation process of stylesheets when using smarty tags
  - Fixes issue with showtemplate=false causing ajax stuff to be called twice
  - Fixes issue with aliases on sectionheaders being navigable. (Now throws 404 error)
  - Modules can no longer be upgraded if the schema version in the database does not match the version.php file
     (this solves the problem of the modules being upgraded too early in the upgrade process)
  - Fixes problem with module_help links in the OneEleven admin theme
  - Fixes problem where CMSMS internal parser mixed <head to <header
  - Module API method Lang(), no longer final
  - Minor fix to cms_selflink

Core - News
  - Fixes issue with wildcard category arguments in the browsecat action
  - Removes redundant SearchResult method
  - Clean up main php file a bit

Core - Search
  - Fixes issue with detailpage parameter

Core - ThemeManager
  - On Import, now use // as a delimiter between theme name and item name, cuz smarty treets a : as a delimiter for a resource.


Version 1.11.4 - Fernandina
-----------------------------
Core - General
  - Fixes problem with cms_plugins not being found in the parser
  - cms_date_format plugin is no longer cachable
  - Removes more wiki url stuff
  - debug.log never allowed to live more than 24 hours
  - Fixes preview in addcontent
  - Fixes problem with CreateTable in mysqli mode. (ENGINE and CHARSET issues)
  - Fixes problem with modifiers not existing in parser stage. Now loading all modifiers
  - Fixes to FileManager copy and move in regular mode
  - Fixes to ImageManager when deleting files in a dir below the uploads/images path
  - Fixes to cleaning of values in edit_user and add_user wrt email fields (now consistent)
  - Numerous SSL fixes
  - {uploads_url} tag now uses cms_config->smart_uploads_url() (new function)
  - Fixes a minor issue with cleaning of the incoming page variable
  - Fixes an error with UDT's and syntax hilighters
  - Minor fix to cms_stylesheet
  - Fixes problem with Events listing none active modules.

Core - Bug Reports:
  - #8238 Assets loaded as http instead of https when ssl is enabled for /admin area
  - #8315 Crash in Content Page Edit: exit / die without error message
  - #8386 Function redirect();
  - #8409 Content block does not appear in Pages if sitedown
  - #8419 E-mail address for user not accepted if having '-' character on it
  - #8563 Cannot add 'separator' if 'Page URL's are required'
  - #8564 Images cannot be deleted in Image Manager
  - #8571 NCleanGrey admin theme on 1.11.2.1
  - #8672 Dropzone don't remember the selected directory
  - #8673 Images can't be deleted in Image Manager within created folders
  - #8684 Type MyIsam
  - #8686 cms_date_format and cms_escape Smarty modifiers in templates no longer found by Smarty
  - #8695 Update routes and mod_rewrite


Version 1.11.3 - Darwin
-----------------------------
Core - General
  - Aliases in NLS operations are now case insensitive
  - Fixes problem with editing templates/content in sitedown mode
  - Fixes problems with separators when page urls are required
  - Fixes problem with delete image in image manager after security fix
  - Fixes to the smarty parsing for templates
  - Fixes to loading of UDT's.... now load UDT's for all requests
  - Fix displaying of page title in NCleanGrey admin theme
  - Fixes to preview and submit in editcontent with lots of content blocks (particularly content_image}
  - The cms_stylesheet plugin is no longer cachable by smarty
  - Recommend PHP 5.3.2 or greater
  - Smarty caching now disabled for PHP 5.2.x
  - Numerous fixes to FileManager and MicroTiny wrt. advanced mode
  - Removes wiki links from admin interface
  - Minor fix to ShowMessages
  - Fixes so that simplex theme does not cause crash when editing content using that template, or editing the template itself
  - Ads @viewport rule to OneEleven stylesheets, improving media query behaviour on Windows 8 within Metro UI (snap mode)
  - Ads icons for apple touch link and msapplication metatag
  - OneEleven login, autofocus first input field
  - Smarty engine upgraded to 3.1.12-Stable
  - Fixes problem with smarty variables in template parser object. Edit template and edit page won't be crashing system anymore
  - #8656 - ERROR DETECTED: Call to undefined function check_persmission() multicontent.php


Version 1.11.2.1
-----------------------------
  - Fixes security vulnerability in image manager


Version 1.11.2 - Isabela
-----------------------------
Core - General:
  - Minor fix to the en_US.nls file
  - Fixes issue with misspelled class name resulted in error when editing/adding content when sitedown was enabled
  - Fixes issue with {content_image urlonly=1 ...} and the assign param
  - Fixes to the RedirectToAdminTab stuff
  - Fixes thumbnail creation stuff to do some file extension checking
  - Missing button "View in English" in OneEleven theme
  - Minor adjustment to page template parsing to detect <head instead of <head>
  - Fixes to login and admin behavior if users admin theme (or default theme) cannot be found
  - Minor modification to smarty to handle closing blocks for block plugins in add/edit template/content
  - Fixed problem with forgotten password form in the OneEleven admin theme
  - Fixes {cms_selflink} to do nothing in an admin request
  - Fixes an error where custom admin lang strings were loaded from the wrong file (according to the docs)
  - Updated translations redirect_url tag documentation
  - Fix #8368 - Global Content Blocks: Additional editors reset on edit
  - Fixes permission problems single user selected as additional editor in GCB
  - Fixes problem with module Uninstall process not setting module uninstalled in certain state, even it should
  - Compressed all images in OneEleven theme (probably not needed in changelog)
  - $nls['locale'] fixes in language .nls files

MenuManager
  - Fixes minor expression issue wrt the show_all parameter in the breadcrumb action
  - Fixed breadcrumbs templates with using sectionheaders

FileManager
  - Minor adjustments to the savesettings action
  - Fixes for advanced mode
  - File upload now places a note in the admin log

News
  - Minor fixes
  - fesubmit action now documented as deprecated
  - Minor fesubmit fix
  - fesubmit action is now officially deprecated and won't receive much love in the future.
  - Adds a new preference (on by default) that indicates if expired articles should be viewable in detail view


Version 1.11.1 - Baltra
-----------------------------
Core - General:
  - Minor fix to the GetChildren method when loading properties of inactive page
  - Fixes to smarty error_eporting. Should now listen to the PHP error level
  - Minor typo fix
  - Fix an issue with {content wysiwyg=false}
  - Fixing typo in CmsNlsOperations. Admin and Frontend has now own separated language detection spots. Language detector class now works as it should
  - Fix problem with links in notifications generated by modules and the GatherNotifications task
  - Minor fix to notice for module generated content blocks.
  - Fixes the {content_image} tag
  - Prefilters and postfilters can now be displayed in the listtags admin page.
  - Fixes to the get_called_class() method wrt php 5.2
  - Fixes expression for caching of UDT's
  - {content_image} and {content_module} will now generate errors if a block param is not specified
  - Fixes issue with addtemplate & edittemplate smarty fetching process, now using own compile id for temporal template data
  - The view site link now points to the <root url>/index.php rather than just <root url>
  - Minor fix to the OneEleven theme when a node had no description

News:
  - Fix problem with category parameter

Printing:
  - Fix a problem with the {print} tag wrt php 5.2

Search:
  - Fixes E_STRICT errors


Version 1.11 - Galapagos
-----------------------------
Core - General:
  - Adds new HTML5 frontend sample theme "Simplex" (thanks to Goran)
  - Removed the HasAdminBuffering module method
  - If output buffering is disabled in the request, theme is also disabled
  - Revamp of admin theme base class
  - Adds new OneEleven admin theme (thanks to Goran)
  - Remove the use_adodb_lite config variable
  - Removed the use_smarty_php_tags config variable
  - Remove the process_whole_template config variable
  - Plugins revamp, removed _cms_ from smarty function header. General plugin cleanup
  - Removed smarty plugin {google_search}
  - Moved smarty plugin {search} to Search module
  - Moved smarty plugin {print} to CMSPrinting module
  - Moved smarty plugin {menu} to MenuManager module
  - Moved smarty plugin {news} to News module
  - Added default backend WYSIWYG as a preference
  - Backend WYSIWYG option on add user
  - Smartified editprefs
  - Updated /lib/jquery and cms_jquery plugin with latest jQuery and jQuery UI Frameworks
  - Added jQuery UI Smoothness Stylesheet to NCleanGrey
  - System Information page, and the installer now check for the XMLReader class
  - Admin log ip_addr field is now bigger
  - Admin log now has an index (woot)
  - Modified index.php to handle 404 pages better (Now catches the CmsError404Exception)
  - Static routes are now stored in the cms_routes table, and cached to a file in tmp/cache
  - Rewrote the CmsRoutes class (but maintained compatibility)
  - Added functionality in system maintenance page to rebuild static routes
  - Uninstalling a module now clears any module specific routes and smarty plugins
  - Content pages now register and work with static urls
  - Total re-write of {cms_stylesheet} tag. Cache working as it should now. Media queries/types combine correctly now
  - Cms_http class now sends a referrer
  - Fixes the pseudocron stuff to not run during the install or login process
  - Documented the ContentBase class.  Many methods marked as protected or private... will be marking some as final in the future
  - Minor improvements to site verification
  - Fixes for Add GCB WYSIWYG options
  - Adopt smarty 3 (currently Smarty 3.1.10) (stock, unmodified)
  - Adds options for smarty caching
  - All plugins with functions named smarty_cms_function_foo are not cachable
  - All plugins with functions named smarty_function_foo are cachable
  - UDT's are never cachable
  - Fix permissions issues with GCB's
  - Add checks in system information for xml capabilities
  - Adds new CmsNlsOperations and CmsNlsOperations classes to better support language services
  - Deprecated the lang parameter to all plugins and modules
  - Adds {cms_get_language} {cms_set_language} and {cms_lang_info} smarty plugins
  - Adds new abstract CmsLanguageDetector class to handle language detection on the frontend
  - Locale can now be configured in the NLS information
  - Encoding can now be configured in the NLS information
  - Remove more stuff from the cms_variables class (slowly getting rid of this)
  - Installer and System Information pages now check curl, and curl version
  - Change the alt tag in {content_image} to return the image name by default
  - System Information page now attempts to determine if there are sufficient mysql privileges for normal operation (warning only on failure)
  - Ensure all tags in list tags get help
  - Re-organized the copycontent template to make it look a bit more logical
  - Adding two new methods to Stylesheetoperations: DeleteStylesheetByName() and LoadStylesheetByName()
  - TemplatePrecompile and TemplatePostCompile events now have a 'type' parameter to indicate what template type they are compiling
  - Changing GetTemplateFromFile method return null instead of string
  - Changing the default page now adds an audit entry
  - Improvements to the content_image option
  - Changed language files fa_FA to fa_IR (We keep fa_FA files for a while as back-up)
  - You can no longer set all pages to a disabled page template
  - {content} tag is now a compiler tag, and cannot be cached
  - Cms_config class is now a bit smarter... more stuff is auto-calculated if not included in the config file. Including 'root_url'!
  - Added more config variable to allow {cms_stylesheet} to output in different directories.
  - Many more actions in the admin generate admin log entries, for auditing
  - More...

Core - Bug Reports:
  - #6161 - Core Printing Module - Compression issue
  - #7030 - Installing modules in listmodules skips dependency check
  - #7212 - Error in CreateReturnLink api method
  - #7334 - Changing a content page with a url specified to a section header
  - #7740 - HTML entities in the language string aren't getting converted back when sending the email during install

Core - Installer:
  - Mysqli option now selected by default. Postgres option removed
  - Add checks for xml handling
  - Modified so that root_url and a few other variables are not placed into the config file if not specified

FileManager
  - Now uses drag/drop upload for all browsers except IE and maybe Opera
  - Now has concept of a 'current working directory' that is stored as user preference and is restored between sessions
  - Complete overhaul of the user interface
  - Now select files to operate on, and perform an operation.  Available options are intelligent based on what is selected
  - Adds the ability to create thumbnails for missing images
  - Thumbnails are now visible in all directories, and if permissions allow can be created anywhere.

MenuManager:
  - Added the {cms_breadcrumbs} action (which is templatable). Deprecates {breadcrumbs}
  - Adds the action=items capability
  - Adds new template for Simplex Theme
  - #7306 - Haschildren always false

MicroTiny:
  - Two new preferences to assist in managing stylesheet and other background settings.
  - Now uses the filemanager cwd() in file picker
  - Now sets the filemanager cwd() in the file picker
  - #7223 - Fixes for secure admin

News:
  - All routes are now registered statically
  - The {news} plugin is now part of the News module
  - The detail page now handles caching well
  - The detail page now throws a 404 exception for attempts to view expired/draft articles
  - Full lazyload is now supported
  - Now supports smarty caching
  - Optimization of code to minimize queries (preload field data for summary views)
  - Begin more oopification
  - Generates 404 errors if routed to an invalid article, or an article that is expired/draft
  - Adds detailtemplate param capabilities to SearchResultWithParams
  - Access to the Categories and custom fields tab is now controlled by the 'Modify Site Preferences' permission
  - Adds sample HTML5 summary and detail templates for Simplex Theme
  - #7713 - Apply button doesn't work
  - #7457 - Duplicate news url

Search:
  - Moved "Stop Words" to language file
  - Added "Load Stop Words" from user language

CMSPrinting:
  - Now lazy load in the admin console

ThemeManager:
  - Now lazy load in the admin console
  - Imported themes are now enabled by default


Version 1.10.3 - Hyacinthe
-----------------------------
  - Fixes to MicroTiny when theme uses dark background colors
  - Fixes to MicroTiny problems in various modes
  - Fixes to MicroTiny styles dropdown.
  - Minor documentation fix in contentoperations
  - Fixes to cms_stylesheet plugin regular expressions
  - Fixes to cms_http_request
  - Fixes to cms_selflink
  - Fixes problem with login when homepage is set.
  - Minor enhancement to the setlocale stuff.

Version 1.10.2 - Casa Pilote
-----------------------------
Core - Bug Reports:
  - #7111 ordered lists in backend
  - #7112 Missing content-type in printing module (CMSPrinting)
  - #7172 (cms_selflink encoding the urlparam stuff).
  - adds force_root_block to MicroTiny.
  - Fixes a problem with page alias when it was cleared in editcontent
  - Fixes a minor problem with copycontent
  - Fixes problem with filters not being loaded.

Version 1.10.1 - Le Lorrain
-----------------------------
  - Fixed a problem with improper HTTPS detection in the metadata plugin
  - Fixed a problem with modules not being loaded properly for admin stylesheets
  - Fixed a minor problem with microtinyconfig
  - Fixed a minor issue in event handlers.
  - Adds one more error check into MenuManager wrt to GetContent on inactive objects.
  - Fixes a problem with GetAllContent() which effects the parent dropdown stuff.
  - Fixes a problem with deleting inactive content.
  - Fixes the summary modifier.
  - Replaces the cms_tree_operations::load_from_list() method with a simpler, recursive function.
  - Minor optimizations to the cms_content_cache class to reduce database queries when there are deactivated pages.
  - Inactive pages now show up in order content, and in a different color.
  - ModuleManager - minor improvement to the is_connection_ok method.
  - adodb_lite - get rid of some files that are not needed (xmlschema, config etc).
  - Fixed problem with uninstalling deactivated modules.
  - Fixes sorting for page_image and thumbnail dropdowns
  - Fixes call to GetParameters in the module API that would hide parameters from the help if the module was using the new InitializAdmin method.
  - Fixes postgres compatibility issue.
  - Fixes pagination bug in news admin interface when category is selected.
  - Minor fix to upgrade in News.
  - Fixes minor problem with Pageinfo class.
  - Fix to the GetModulesWithCapability method.
  - Adds help for MicroTiny.
  - Adds more help for the {content_module} tag.
  - Fixes a problem in the Redirect method of the module api if a value of a parameter was 0
  - now extend time limit in the module manager for time intensive operations. (some hosts may not allow this).
  - Fixes some minor template issues in News.

Version 1.10 - Martinique
-----------------------------
Core - Bug Reports:
  - #5138 Module Manager often can't upgrade modules
  - #5853 server version not working with full Adodb and mysqli in systeminfo
  - #5994 SSL in admin is thwarted when root_url and ssl_url are populated
  - #6124 cms_utils::get_module  version check don't work
  - #6257 cms_selflink adding space
  - #6272 tiny mce adjustments fail (Translation problem)
  - #6278 NCleanGrey Admin Theme typo
  - #6284 CMSMailer system message 'mail not setup' link leads to login page (Translation problem)
  - #6322 wrong db query in SetUserTag method
  - #6374 Page alias not re-crated if alias deleted - old is used
  - #6386 cms_htmlenities in created_date & modified_date
  - #6436 MenuManager: wrong assignment of $node->depth
  - #6444 Calls to UNIX_TIMESTAMP SQL function which does not exist in Postgresql
  - #6464 Buttons in Backend not visible in IE9
  - #6465 can't delete text from the Page URL field
  - #6475 breadcrumbs can influence node tree
  - #6554 Mismatched DIV in edithtmlblob.php
  - #6585 Update jquery.ui.nestedSortable.js from 1.1.1 to 1.3.4
  - #6586 Only Admin can assign Additional Editors
  - #6637 Wrong check for memory_limit and output_buffering
  - #6647 cms_stylesheet media parameter is not working correctly
  - #6686 Missing check permission for Modify Any Page in admin/ listcontent.php
  - #6783 Possible injection when setting a preference
  - #6862 Notice: Undefined index: show_all in .../MenuManager/action.default.php on line 126
  - #6933 News module : no more fields aliases and FieldsByName
  - #6983 Checking for new version fails

Core - Feature requests:
  - #1247 If user is not logged in and requests admin panel page, redirect there after login
  - #5119 New event : LoginFailed
  - #5260 width/height parameters for cms_selflink
  - #5622 Add Description Column to GCB List
  - #5964 Addition IP Address to User Login Failed in Admin Log
  - #6301 Increase security with better session cookies

Core - General:
  - Improved interface in the system information page
  - Implements module lazy loading on admin and frontend
  - Admin navigation is cached for each user
  - Removes old module callbacks
  - Improved memory footprint when dealing with module XML files
  - Rewrite of admin log display
  - Now track IP address of admin requests
  - Ensure that auditing takes place from all significant admin actions
  - Core audit strings are now forced to be in english
  - Clean up the core classes to get rid of many public members
    - gets rid of $gCms->modules
    - gets rid of many members of the module class
    - cleaned up the content class
  - Use PHP5 style constructors in content class
  - Replace TinyMCE with MicroTiny
  - Replace Printing with CMSPrinting
  - Remove IE6 conditionals from stylesheets and templates including default content
  - Removed the startExpandCollapse and endExpandCollapse tags due to potential license violation
  - Removed the adsense plugin
  - Removed the root /images folder and redundant images
  - Add a new preference to disable some content types
  - GCB List now shows the description
  - Allow selecting a site wide search module via a preference
  - Adds a new cms_http_request class to do remote requests - now used via the version check
  - Module Notifications are now generated by a pseudocron class
  - It is now possible to view english module help even if the default language is different.
  - Adds a new LoginFailed event
  - E_STRICT and E_DEPRECATED are now warnings in the installer instead of errors
  - Remove the deprecated {stylesheet} plugin
  - Enhance the {cms_stylesheet} plugin to combine stylesheets where possible.
  - Rewrite the config classes
    - config.php is now sparse, most variables are defaulted.
    - adds the admin_url setting and support for admin via SSL
  - Adds documentation for the config.php file: /doc/CMSMS_config_reference.pdf
  - Adds salting for admin passwords
  - Adds a new cookies class and modifies the code to use it, ensuring that the security of cookies is maintained
  - Ensure all applicable plugins have an assign parameter.
  - The parent dropdown now listens to the global preference for display of title or menu text
  - Adds a new {cms_jquery} tag
  - Updated the jquery libraries shipped with the core
  - Updated smarty to the latest version of version 2
  - Adds width/height parameters to the {cms_selflink} plugin
  - Improve behavior of the {breadcrumbs} plugin
  - adds a maxlength param to the {content} plugin
  - drop the nuSOAP module.
  - more...

Core Installer:
  - #6663 Some install strings have typos and possible clarity issues

  - Improved look and feel (thanks uniqu3)
  - Attempts to implement timezone detection
  - Better handling of module installation

MenuManager:
  - #6862 Notice: Undefined index: show_all in .../MenuManager/action.default.php on line 126

  - Shrunk the code as much as possible.

ModuleManager:
  - Significant rewrite to improve performance and reduce memory footprint
  - Now allow installing older versions of modules more easily
  - Now installing modules from within the search results page
  - Now uses REST API as opposed to SOAP.

News:
  - #5884 node.depth not calculated properly
  - #6215 custom field definitions checkboxes get unchecked

  - Module minization
  - Adds advanced preview capabilities.

Search:
  - #6721 Search module does not find decimal numbers


Version 1.9.4.3 - Faanui
-----------------------------
News:
  - Fixes issue with editarticle not performing a permission check.


Version 1.9.4.2 - Faanui
-----------------------------
News:
  - Fixes SQL injection vulnerability.


Version 1.9.4.1 - Faanui
-----------------------------
Module Manager:
  - Typo function.newversionstab.php


Version 1.9.4 - Faanui
-----------------------------
Core - Bug Reports:
  - #6083 Imagemanager Don't show uploaded files
  - #6094 Page alias update old-value after copy-page
  - #6096 Content is not showing when changing type back to content
  - #6098 Server Response Header `Last-Modified` not changing
  - #6099 Deleting alias in editcontent and submitting restores old alias
  - #6106 no cache-control in login.php -> no logout!
  - #6136 TinyMCE file-manager cache problem
  - #6168 canonical tag for news ignoring news_url field
  - Fixes problem with image manager and caching in google chrome
    and other webkit browsers.
  - Fixes problem with caching on ANY and all admin pages
  - Fixes problem with with installs using MySQL 5.5.x
    (the solution was implemented in the adodb_lite library so
     all modules should work).
  - Fixes problems with switching content types when editing pages
    and content blocks not being restored.
  - Minor optimization to adodb_lite for the GetOne and GetRow methods
  - Fixes a problem where the contentcache was not being read.

MenuManager:
  - #6188 using show_all with childrenof does not work

Modulemanager:
  - Fixes a useability issue with the selected tab and the selected letter
    after upgrading a module.


Version 1.9.3 - Motu Tane
-----------------------------
Core - Bugreports:
  - #3766 Admin screens blank on new install (firewalled)
  - #3794 Remove use of readfile
  - #3820 Included method.install.php cannot return an error message
  - #3848 Pages flashing on load - no-cache headers
  - #5329 Assigning language from locale is not correct
  - #5619 Too short input fields
  - #5744 Impossible to reload and save a valid sitedown html page.
  - #5747 Error when final line of UDT is a comment
  - #5794 Stylesheet url in header could be wrong
  - #5861 Extra fields are cleared if a mandatory field is forgotten
  - #5865 Small issue with admin panel tab header id's.
  - #5888 Remove markedown plugins from distribution.
  - #5952 GetPageAliasFromID() Undefined variable "alias"
  - #5846 When Power Users edit page content, the aliases change
  - #5959 UserTagOperations::SetUserTag() does not set ID
  - #5971 Missing Image File in the default theme for CMSMS
  - #5996 {content_image} does not show in preview-tab
  - Page URLS are case in-sensitive but forced to lowercase on page submit.
  - Fixes a minor problems with modules adding tasks to be executed with psuedocron

Core - Feature requests:
  - #1133 Admin Panel: MenuText instead of page title in overview & hierarchy
  - #1654 Add additional options to the cmsmslink plug-in for WYSIWYG editors.
  - #1656 Add the "Character Map" to the TinyMCE WYSIWYG Basic toolbar by default.
  - #2635 Enable "reorder pages" tool to change parent id
  - #2969 Install > integrity check > number of failed files
  - #3140 Improved Page Re-order
  - #3194 Page_image and page_thumbnail sort order and/or path
  - #3282 Description field for GCB's
  - #3670 Better solution for viewing when site is down
  - #3689 Create config.php automatically if file does not exist
  - #3958 Pretty CSS URLs
  - #3975 New checkbox for global content blocks
  - #4172 Page_image setting
  - #4554 Display ALL Global Content Blocks on One Page
  - #5440 View website in maintenance mode.
  - #5670 Pref to disable wywiwyg for sitedown message
  - Caching - Important Change
    1. Now pages marked as 'cachable' will be cachable in the browser for a time period as specified in the global settings page.
       Pages not marked as 'cachable', or those accessed via a POST request will not be allowed to be cached by the browser.
    2. Adds new settings to global settings to control browser cache capabilities.

Core Installer:
  - #4136 Admin gui breaks when isntalling update over https
  - #4978 Upgrade.32.to.33
  - #5406 Upgrade stops when locales not correct

FileManager:
  - #4046 Files too large won't upload

MenuManager:
  - #1761 Adding new template downloads moduleinterface.php
  - #2488 Apply and Submit does not work in certain scenario
  - #2503 Sectionheader is displayed as Link when is activeparent
  - #2489 $node->current missing in Help description
  - #3460 'items=' active page not working correctly
  - #3599 simple_menu not setting correct CSS selectors since 1.6
  - #3620 $node->image disapear in 1.6 version
  - #4089 "loadprops" doesn't work if "items" is set
  - #4186 Template error in simple_navigation.tpl causing invalid XHTML output
  - #4237 Menu Separators not generated since v1.6.x
  - #5447 Menu function childrenof breaks collapse

News:
  - #5987 Field Definition - Public option

Printing:
  - #5209 Printing module causes fatal errors when used with gallery

CMSMailer:
  - Remove misleading, and buggy cancel button.

Search:
  - Fixes problems with quotes in search terms

ThemeManager:
  - Fixes to importing themes wrt Menumanager calls... should now be completely flexible.

Version 1.9.2 - Tevairoa
-----------------------------
Core:
  - #5585 Add Stylesheet Image links to addcontent.php
  - #5715 Fix content types dropdown stuff in addcontent, where FF didnt reload the page after content-type change.
  - #5766 deprecated message in editcss
  - Fix to GetAllContent, which caused the Hierarchy() error.
  - Fixes to menu-templates, in relation to SectionHeader.
  - Fixes problem with labels on module generated content blocks
  - Fixes E_STRICT issue wrt module generated content blocks
  - Fixes minor issues in user tag operations.
  - Handling if there are no modules with tasks capability

MenuManager:
  - multiple '-' signs in alias as parent, errors on simple_navigation.

TinyMCE:
  - Fix comments that appeared after making changes to TinyMCE settings

Version 1.9.1 - Toopua
-----------------------------
Core:
  - #5235 bug auto alias with "Add Page" unique permission
  - #5623 Navigation error after upgrading from 1.8.2 to 1.9
  - #5633 Impossible to create a section header
  - #5653 ADD NEW CONTENT with unique permission ADD PAGE
  - #5659 error with https and redirect function
  - #5677 Extensions Â» User Defined Tags - "Apply" button issue
  - Permission issue for non-admins
  - HasChildren() on a non-object error in listcontent
  - function Id() on a non-object in re-order pages
  - content_image plugin
  - Error with https and redirect function
  - Fatal error: Class 'CMSModule' not found
  - Admin theme class change - default theme
  - Multiple top-levels active in Admin
  - Fix to ContentOperations::GetAllContent
  - Site Down Message Fixed

Installer:
  - Firing of events disabled during the install/upgrade process
  - Fixed installer grabbing wring instance of smarty in certain PHP versions (scope issue)

ThemeManager:
  - Fixed issue with samenamed stylesheets

MenuManager:
  - Combination of collapse/number_of_levels

Search:
  - TemplateId() on a non-object error

TinyMCE:
  - FilePicker
  - Non showing on base installs
  - Language strings
  - Fixes to call GetURL()


Version 1.9 - Bora Bora
-----------------------------
Core:
  - Adds support for custom urls for each content page.
    * URLS can be auto created from the page hierarchy, or a custom string
      entered.  The system checks for duplicate URLS.
    * The url mechanism works in addition to the existing alias generated urls
  - Add support for a description and a wysiwyg toggle for global content blocks.
  - Adds titles and a little bit of customization to the listcontent screen
  - Adds the ability to 'run' a UDT from within the admin interface.
  - Adds a create_url method to the module api
    * The builtin CreateLink method calls this to create the URL portion of the link
    * If a prettyurl argument is not passed in, an attempt is made to call the create_pretty_url method in the module to generate one based upon the arguments passed to create_url
  - Removes the IsValidRoute() method from the module api that was introduced in 1.8  (it's much better to use the new route mechanism)
  - Rewrite the route handing mechanism, adds a new cms_route_manager class and fills out the CmsRoute class.
  - Adds a new config entry for the timezone.
  - Adds the ability to exclude logged in administrators from seeing the sitedown message.
  - Adds preference in siteprefs to enable mandatory URLS
  - Adds preference in siteprefs to require page urls be created automatically on add or edit page.
  - Adds preference in siteprefs to determine the form of automatically created page urls.
  - Add a preference in siteprefs to determine relative path (from image_uploads_path) for image field.
  - Add a preference in siteprefs to determine relative path (from image_uploads_path) for thumbnail field.
  - Add a preference in siteprefs to determine relative path (from uploads_path ) for content_image tag. (default value for the dir param)
  - Modify the content_image tag to check to see if the existing values start with uploads/ and handle that correctly.
  - Modify the content_image tag to output absolute URLS.
  - Rewrite of the Tree class to be of lighter weight
  - Adds a new cms_content_cache class to manage cached content
  - Optimize the contentoperations class to handle cached content
  - Get rid of the pageinfo stuff... it's redundant  (in progress)
  - Remove the long deprecated {sitemap} plugin.
  - Changed the config from a flat array into an object
    - this will introduce E_STRICT errors for anybody using  =& $gCms->GetConfig();  etc.
    - config variables are now read-only once loaded.
  - Added new api functions to reduce the need for using cms internals.
  - Make many changes to fix E_STRICT problems, though we don't necessarily support E_STRICT yet.
  - Permanently removed scriptaculous
  - xajax is now deprecated and will be removed in later versions
  - Replace the $gCms->config array with an object.  Modifying config variables from within CMSMS will generate a notice.
    In later versions we will replace this notice with an error.
  - Replace the $gCms->variables array with an object.  Now only specific variables can be set without generating a notice.
    In later versions we will replace this notice with an error.
  - Rewrite of the reorder pages stuff to use jquery.  Re-ordering is now completely flexible.
  - Fixes bug with the {cms_stylesheet name='foo'} syntax.
 - The language lists in the global settings and user settings now will be restricted to available installed languages.
 - The process_pagedata plugin is called even when showtemplate=false is used.
 - use_hierarchy parameter is dropped now, because the page_url stuff far surpasses it.
 - Many minor changes to the themes.
 - An overhaul to the NCleanGrey admin theme... Many thanks to Nuno Costa for this great improvement.
 - Images and logos with Trademarks are now used.
 - The cms_selflink tag has been improved and is now translatable.

Theme Manager
  - Now handles attached images much better.

Installer
  - Fixes method conflicts between the installer and the upgrade routine.
    (may be a few addmes yet that have to be added to the core lang stuff).
  - Fixes module install stuff
  - Now asks for the timezone
  - if use_hierarchy was false in the config.php, on upgrade the page alias will be copied to the page_url field.
  - Now attempt to silently create the config.php on install.  For 90% of installations on well configured hosts, this SHOULD fail... but it may be useful to somebody.

MenuManager
  - image and thumbnail fields now output absolute URLS.
  - Adds the ability to cache the menumanager output into uniquely named cache files
  - Adds the nocache parameter.

News:
  - Adds support for custom urls for each news article

TinyMCE:
  - Major update to this module, now in version 2.8.0
  - Fixed issue with double alias in the URL, when 'internal' is used for url_rewriting.
  - Rewrote test-area
  - Added an option to avoid Tiny's linkconversion, makes {smarty} in urls possible
  - Added an optional addition to the output of the CMSLinker, both in selflink or href method
  - Removed last non-cms entrypoint, filepicker
  - Imageuploading now honers the site-thumbnailsize setting
  - Uploadin non-images when in imageselector now works
  - Generation thumbnails when uploading images right after installation fixed
  - Updated to Tiny 3.3.9.2


Version 1.8.2 - Toliara
-----------------------------
Reverted:
  - Put the use_hierarchy config option back in for backwards compatibility
    with upgrades. This may go away in the future, as it doesn't allow for
    modules to have pretty URLs, but we'll have a proper workaround.

Fixes:
  - #5206 Using variable $this in translation.functions.php
  - #5198 German adaption in function.cms_selflink.php
  - #2215 Form Input Type of Password should have an ID attribute
  - #4834 Add an ID attribute to the form hidden tag
  - #5279 cms_stylesheet doesn't use new logic with "name" parameter
  - #3620 $node->image not showing while using the items variable


Version 1.8.1 - Mankara
-----------------------------
Security:
  - Fixed local inclusion security flaw

Fixes:
  - Backend is slower then previous release
  - Core modules/tabs in the backend aren't translated
  - Internet Explorer doesnt show specific backend-pages nicely (f.e. News)
  - Theme ï¿½defaultï¿½ gives message ï¿½Undefined index: directionï¿½ on top in backend
  - The content tag isn't allowing underscore in name of block anymore
  - Default content has News categories in summary-template
  - Added expand-collapse buttons on top of listcontent as well
  - User preferences for page-limit templates isnt taken
  - Additional blocks arent visible in editmode, when underscore is used

Version 1.8 - Madagascar
-----------------------------
Core:
  - #3255 Shortcuts in admin section should omit server name
  - #3825 Error in demo template "Top simple navigation + left subnavigation + 1 column"
  - #4016 Add Pages permission cannot be removed from new groups
  - #4211 simple_navigation.tpl broken
  -       Added Section Header in stylesheet "Navigation: Simple - Horizontal"
  - #4720 Error in class.module.inc.php
  - #4895 lang=0 versus lang="0" on cms_selflink help page
  - #4907 Content/Pages/Edit Page Content is not translated
  - #4929 Copy page - can't select section header
  - #4941 Error in Search Module
  - #4952 Alias changes if user has no permission "Manage All Content"
  - #4993 Cannot add new section header
  - #5062 Date Format String in Admin Prefs too Short
  - #5090 Print module: includetemplate parameter doesn't work
  - Fixed issue where thumbnail width and height wasnt taken.
  - Generate an error if there is no default content detected when saving
    a page, this should help with the problem of no {content} block with
    content type pages.
  - Generate unique content block names if trying to use something that
    already exists.
  - Fixes with HTTPS stuff and the secure option
  - Remove alot of long deprecated callback methods.
  - Update the phpdoc documentation
  - Removed the 'community help' links for modules.
  - re-work the lang mechanism to be smarter, and faster.
  - Remove the old 404 handler stuff
  - The {stylesheet} tag is now deprecated, use {cms_stylesheet} instead.
  - General cleanup of unused functions and methods.

  Feature request
  - #380 use variables in stylesheets.

News:
  - Fixed issue with sorting of articleid.

MenuManager:
  - #2488 Apply and Submit does not work in certain scenario
  - #4906 Error W3C on accessible_simple_navigation.tpl
  - Adds the childrenof parameter so that you can do something like
    {menu childrenof=$page_alias}

CoreInstaller:
  - #4978 Fix typo in upgrade.32.to.33 script

ModuleManager
  - Many improvements.

Version 1.7.1 - Escada
-----------------------------
  - #3794 Remove use of readfile.
  - #3854 Problem searching multiple words
  - #3901 Forms use SERVER_NAME not HTTP_HOST, conflicts with canonical redirects
  - #4009 Modules cannot update or dont work when using SSL
  - #4138 Content Internal Page doesn't work if approched directly
  - #4032 Admin Forms won't work on https
  - #4209 Alias field is not shown for Section Header
  - #4321 cms_module action parameter by tag overwriten by mact
  - #4414 Default page becoming inactive
  - #4500 Permission "Remove Global Content Block" not working
  - #4507 Indexes not created with Database Prefix
  - #4551 OO Programming
  - #4603 ContentStylesheet is never triggered
  - #4720 Error in class.module.inc.php
  - #4779 Upgrade page displays incorrect information
  - #4838 htmlentities in current_date
  - Missing </li> in accessible_simple_navigation.tpl
  - Adds class items to every form element for easier styling.
  - Adds user preferences for page limits in GCB, Stylesheet, and template lists.
  - Adds site preferences for thumbnail width and height, primarily used by image manager
    but may be used by other modules.
  - Fixes a VERY MINOR potential security issue in user preferences.

CMSMailer
  - Upgraded underlying phpmailer class
  - now supports (and tested) sending email via encrypted servers like google.

News:
  - #4304 Use expiration date logical problem
  - #4659 documentation error

Menu Manager
  - Improvements to the template list display.

TinyMCE:
  - #4769 It's possible to crash TinyMCE by crafting strange titles on pages
  - Updated to TinyMCE 3.3.2
  - Added a plugin-hook allowing module writes to add pieces of functionality
  - Allowed inplace resizing of editor
  - Updated to TinyMCE 3.3.3

Feature Requests:
  - #4550 Add new sort order to News module

Version 1.7 - Cape Verde
-----------------------------
- We now support php 5.3
  Note: Minimum PHP Version required is 5.2.4 though we recommend PHP 5.2.12
    - Users that are using many of the newer modules that take advantage of PHP 5's OOP features
      may experience strange problems when using earlier versions of PHP 5.2.  It is therefore
      recommended that your PHP version be updated frequently.
  Note: We do NOT support E_DEPRECATED or E_STRICT at this time.
  Note: We no longer support PHP 4.x
- The installer no longer performs smarty caching
- Improvements to TinYMCE
  - Now not depending on admin-theme's icons anymore. Thanks Nuno
  - Updated to Tiny 3.3-final
  - Added an option to generate cms-compatible thumbnails when uploading files though the filepicker.
- Search 1.6.2
  - Adds the detailpage param (can be overriden by modules)
- ModuleManager 1.3.3
  - Minor improvements... mostly for PHP 5.3
- Remove the long-deprecated ImageGallery plugin
- Various small bug fixes

Version 1.6.7 - Teremba Bay
-----------------------------
 - #3999 Upload a file with apostrophe make problem
 - #4137 small text typo in admin/login.php
 - #4192 Extra Page Attribute's are listed in the wrong order
 - #4208 Don't show inactive template in the page 404
 - #4431 UDT names not validated when being edited
 - Improvements to XML module generation
 - Fixes to prevent possible remote file inclusion vulnerabilities
 - Minor improvements to the News module
 - New version of TinyMCE
 - Improvements to File Manager and Image Manager
 - Improvements to Module Manager; upgrade now possible from the "Available Upgrades"-tab
 - Adsense-plugin modified, to accept the ad_slot parameter

Version 1.6.6 - Bonde
-----------------------------
 - #3777 Documentation Error: redirect_url plugin
 - #3923 Adminlog download, tab separator single quoted
 - #3926 Little typo in stylesheet.
 - #3935 Validation error in stylesheet 'Accessibility and cross-browser tools'
 - #4002 menu parameter start_level='2' don't show results.
 - #4068 Admin Log, update "HTML Blob" to "Global Content Block"
 - #4118 die() with blank page
 - Fix problem with showinmenu for separators.
 - Fix error pages being able to be set inactive in listcontent.
 - Fix error in permissions checking for copying content.
 - Fixes issues with the PDF output only working of the pdf flag was turned OFF
 - Submit is not taken on forms, when .htaccess is used and page_extension = ''.
 *** FIXES RELATED TO session.use_cookies == off ****
 NOTE: This is not a recommended setting, and future versions of CMSMS will not in any way
       support this setting.  Please contact your hosts to ensure that this setting is enabled
       properly.
   - This issue has probably been the cause of many tinyMCE issues in the past.
   - The install and upgrade routines will fail if this setting is off
   - The install and upgrade routines now explicitly check for this setting.
   - TinyMCE 2.2.5 now supports session.use_cookies == off (for now)
   - ImageManager no longer displays the login screen with session.use_cookies == off

Version 1.6.5 - Poya
-----------------------------
- Fixes a problem with bulk deletion of pages that have inactive children.
- Fixes many problems with ability to get content objects
- Fixes the CreateFormStart method to reliably get the page url.
- Fixes problem with pretty urls (internal or mod_rewrite) and GET parameters on the URL.
- Printing
  - Fixes problem with stylesheet not being found if pretty urls were being used
  - Fixes problem with parsing the URL to print.
- News
  - Fixes trivial issue with editing an article that had expiry dates set.
- MenuManager
  - Fixes problem with having a default database template
  - Fixes problem with being able to delete the default database template.
- TinyMCE
  - Fixed bug disabling the wysiwyg togglebox upon saving the basic toolbar profile
  - Fixed bug with truncated menutexts with quotes in them not getting properly escaped, breaking config
  - Updated to latest TinyMCE 3.2.6


Version 1.6.4 - Moindou
-----------------------------
- Fixes a problem with the showinmenu option not being available to other content types
- Fixes a problem with the lang stuff and a required reference operator
- Fixes a problem with checksum verification and generation
- Fixes a problem in filemanager where access time was shown and not creation time.
- Adds tabindex to the list of selecatble properties in the site preferences.
- Fixes a problem with 404 errors if using internal pretty urls, and adding parameters to the URL
- Fixes a problem with the parent page property for restricted content editors.

Version 1.6.3 - Touho
-----------------------------
- Fix a potential security problem in the printing module
- Fix a problem with deactivating and re-activating pages
  in listcontent
- Fix a problem with cms_selflink linking to inactive pages.

Version 1.6.2 - Noumea
-----------------------------
- Fix a problem with the unique module hash not always starting with a letter
  which fixes form validation problems.
- Fixed a minor template problem in News.

- TinyMCE
  - #3762 - file extension ignored in internal links

- News
  - #3782 Fix IE8 toggle in add/edit news (Use Expiration Date:)

Version 1.6.1 - Canala
-----------------------------
- Fixes of several bugs:
  - #3138 A bug of counting modules in page
    ---
    Note: This bugfix WILL break any sites that use incorrectly hacked templates with
    hardcoded module id's like m6 and m7, etc.
    ---
  - #3582 (CMS 1.6) Fatal Error in contentoperations.inc.php
  - #3589 Missing "Forgot Password?" on default template
  - #3591 Default group "Editor" has no permission to edit a page
  - #3601 Creating new user fails, doesn't accept "-" in email address
  - #3606 Cannot remove additional editors from page
  - #3608 Edit icon of pages is shown even if no permissions to edit that page
  - #3612 {content} passes params to Module -> results in errormessage
  - #3626 Fixes issue with php 4.x in multicontent
  - #3636 Global Settings -> Advanced Setup -> Basic Properties
  - #3768 Email validation when add user
  - #3680 Big problem with group permissions
  - Fixes issue with php 5.0.5 in content operations
  - More minor bug fixes.
  - Fixes to default content on new installs

Version 1.6 - New Caledonia
-----------------------------
- Fixes of several bugs:
  - #2786 Bulk page changes don't show messages
  - #2831 Upgrade process continue even if database is empty
  - #3040 no external view after moving pages up and down (and deleting pages)
    in listcontent
  - #3123 Installer overly restricts account names
  - #3179 Ability to show when news items were last updated
  - #3189 check if udt exists
  - #3190 Error with link rel="canonical"
  - #3257 Non-admin users can create admin users
  - #3451 typos in plugins page_image and page_attr
  - Drop all assign_by_ref in Installer
  - Missing $frontendlang in siteprefs, thanks to jce76350
  - Fixed lot of anchor issues (hoppe one for all)
  - Fixed issue with breadcrumbs in admin theme
  - Fixed issue with encoding entities in cms_selflink tag
  - Removed the javascript in the changegroupperms and changegroupassign
    stuff, and replaced it with a filter button.
  - More...

- Feature Requests:
  - #2605 adding a 'forgot password' submission on the login panel
  - #3048 News: Only show expiration-date when checkbox is set

- Core additions:
  - Ability to set a page as the 404 error page.  Replaces
    the existing custom 404 stuff to allow for more
    flexibility.
  - Rework of the 'Add Pages' permission
    - This permission allows that you can only add pages as children
      of pages you are either owner of, or additional editor of.
  - Remove the 'Modify Page Structure' permission
  - Add a 'Manage All Content permission that provides global
    capability on all content objects.  Only users with this permission
    can add top level pages.
  - Rework of the content types
    - Faster, leaner, smarter
    - {content} block is now just a shortcut for {content block='content_en'}
      and there is no special handling
  - Add the ability for a site administrator to select which fields are visible
    to normal editors when adding or editing content.
  - Complete rewrite of site preferences
  - Page Preview now works for templates with multiple content blocks
  - Add the ability to specify ip addresses to exclude from the sitedown
    message.
  - Clean up the config.php file
    - Remove the two pretty url variables and replace it with one
      variable that can have three values.  This should help eliminate
      a few problems.
    - Add a set_names variable that allows databases to use utf-8 by default
      on new installs (true on new installs, false is assumed).
    - Remove old, invalid config entries.
    - Add a possibility to hide wiki_url from ERRORPAGE $config['wiki_url'] ='none'

- Menu Manager
  - Complete rewrite of the admin interface.  It is now much easier to
    understand, and also possible to select different a different default
    template.
  - Add the loadprops parameter to turn on loading all content properties
    for advanced menus.

- News
  - #2620 Extra fields are not displayed in the print template
  - #3163 Typo in News module
  - #3277 Drafts are not saved properly in News 2.9.3
  - Fixed problem with incorrect counts (counting draft articles) in browsecat
    action.

- Module Manager
  - Now supports checking for newer versions of installed modules.
  - Now does dependency checking before allowing a download of a module.

- Libs Updates:
  - xAjax 0.5
  - script.aculo.us 1.8.2 (included  Update to Prototype 1.6.0.3)
  - Dynamic Tabs 1.0.3

- TinyMCE
  - Rewrote profile handling allowing both a simple and an advanced profile
    in backend
  - Rewrote frontenddetection to be more stable
  - Improved Filepicker dialogue allowing on-the-fly scaling of images
  - Updated to Tiny-distribution, including a rewritten more intelligent Paste
    plugin

- Printing
  - Now supports simple output from modules
  - Fixed links in pdf-generation

- Search
  - Template, added a class to submit and adjustments.
  - New Param for method Post (pretty urls) -
    E.g. {search search_method="post"}
  - Remove Help Tab
  - Add better statistics capabilities.

- Default Themes
  - New theme NCleanBlue (thank you Nuno).
  - Numerous new themes for default content (thank you Mark).


Version 1.5.4 - Carolina
-----------------------------
- Fix the logout/session issue once and for all.
- Fix the canonical expressions in default templates.


Version 1.5.3 - Arecibo
-----------------------------
- Fixes of several bugs:
  - #2516 Javascript script errors in admin listcontent.php panel.
  - #2706 CreatePagination() does not include Session Key.
  - #2915 Typo in multicontent.php throwing errors.
  - #2925 User not exist in sample content.
  - #2940 Field-length dateformat in UserPrefs shorter than in GlobaSettings.
  - #2995 Group assignments bug.
  - #2996 Language string missing.

  - Notice error in modform.inc.php.
  - Fixed a minor permission issue on editpref.php.
  - Added an option to disable the wysiwyg for a content-page.
  - Fixed (hopefully) problem with pseudo-random logouts when there is inactivity in the admin section.
  - Put 'canonical' logic in the default templates.
  - Made 'NCleanGrey' the default theme, in an install without default content installed as well.

- Search 1.5.3
  - #3034 Searching for words in the footer expose all pagenames on my site.
  - Now remove event handlers when uninstalling the module
  - Dont return page results for non searchable pages, even if the result was found in the template.
  - Make changes to convert search results to entities on output to help with validation.
  - Now search for the 'stop phrase' in the base addwords function, allowing optionally excluding specific module records from being indexed.

- Feature requests that are included:
  - #1231 Make default templates use uploads/images/logo1.gif instead of images/cms/logo1.gif.
  - #2897 Moved Image/Thumbnail in content-page to options-tab.
  - #3025 News: new parameter, action="detail", which can be used to show a specific entry in detail-mode directly.
  - #3035 link from admin backend to the forge.
  - #3068 New plugin; page_attr that returns attributes of a page.

 - TinyMCE
  - Added support for configuring the third toolbar
  - Added option to show actual thumbnail-files
  - Fixed filetype icons in FilePicker
  - Implemented | as seperator in toolbars
  - Fixed working of force-cleanup-on-paste
  - Fixed toolbars for frontend-usage

- News 2.9.3
  - Minor improvements to the articles tab in the admin
  - Now output a canonical URL in detail view
  - Changes to default templates
  - #3027 field definitions not deletable when entry is made using fesubmit.
  - #2941 (News) Extra-field not showing in detail-view.
  - Draft news articles are not indexed in the search module.


Version 1.5.2 - Caguas
-----------------------------
- Fixes of several bugs:
  - #2406 Re-order pages causes hierarchy to be incorrect (longstanding), which could be caused by:
		a) two users simultaneously re-ordering pages or,
		b) moving a second page while ajax hasn't finished moving the first.
  - #2476 cyclic internal linking is possible and causes listcontent to time-out
  - #2709 Install and uninstall post messages not shown.
  - #2717 Text inputs too short in page-copy-mode.
  - #2739 Permission Denied user type Editor or Designer.
  - #2744 Edit prefs missing div layout bug.
  - #2789 message usertagdeleted not shown because of wrong url.
  - #2791 News Module Pagination translation label.
  - #2804 Re-ordering in Events.
  - #2805 Deleting of an UDT attached to an Event.
  - #2808 Page found by search, with "page is searchable" flag unchecked.
  - #2872 Login page showing, after deleting a template which is still in use.
  - Setting output_compression to false in config.php still sent compressed data.
  - Many fixes in html - Validations in admin side.
  - More

- Feature requests that are included:
  - #2045 Allow search to find expired news articles.
  - #2649 Notifications when deleting Stylesheets in use by templates.
  - Showall parameter added to News, to show all news-entries, regardless of end-date.

- Tiny
  - #2815 CMSLink don't have '$config['page_extension']' suffix.

- Module-API
  - Added HasCapability and GetModulesWithCapability for a more general way of checking what a module can do.


Version 1.5.1 - San Juan
-----------------------------
- News 2.9.1
  - Fixes to permissions checks
  - Additional help about the dateformat and formatpostdate stuff being removed
- Fix sql error in listcssassoc
- Fix missing username in admin header on login of new session.
- Fix to expand all/collapse all icons in listcontent.
- Fix to the edit tag.

Version 1.5 - Puerto Rico
-----------------------------
- A new notification system in the admin
- A new dashboard page in the admin
- The ability to copy content pages has been added
- More bulk actions have been added to the list content page
- A searchable attribute has been added to the edit content page
  to mark a page as searchable
- Default content settings have been improved.
- Numerous improvements to the installer
- The complete content object is now available to smarty on each page request
- The {content_image} tag has been added allowing numerous images to be attached to each page
  (no upload capabilities at the moment)
- TinyMCE changes: Updated to latest Tiny-core
                   Static option for some installations where config-file could not be generated onthefly
                   Pretty url improvements
                   General bugfixes and smaller feature additions and improvements
- Apply buttons on GCB's and UDT's
- Groups as additional editors on GCB's
- Add 'image' and 'thumbnail' attributes to applicable content types
  (we don't permit uploading, just selecting a previously uploaded file)
- MenuManager 1.5.3
  Add raw_menutext field to the node
  Add image and thumbnail fields to the node (if they are set)
  Support syntax hilighter when editing templates
- News 2.9
  - Support syntax hilighter when editing templates
  - Support the notification area
  - Remove all RSS Capabilities (now supplied by the addon module CGFeedMaker)
- Extensive modifications were made to add a session key to each and every
  URL in the admin console.  This prevents a medium level cross site scripting
  vulnerability.
  - This modification will break any existing bookmarks that you have created in your
    admin section.
  - This modification will now prevent the administrator from creating bookarms in his
    web browser to various actions in the CMS Made Simple admin console.
- Numerous bug fixes
  The CMS Made Simple Geek Moot in august this year resulted in many bugs (some of them
  very old) being fixed, or closed.  There are way too many of them to describe, but
  the result should be a much more stable, much more solid application.
- It is now a requirement inorder for an administrator to be able to login
  that they be a member of at least one active group.
- An improved {get_template_vars} plugin
- A new plugin {dump} to provide a report about the contents of a single smarty variable.
- A fixed {embed} plugin
- Much much more.


Version 1.4.1 "Spring Garden"
-----------------------------
- Fixes an issue with the "name" parameter being broken on the stylesheet tag
- Fixes an issue with changing group permissons on windows hosts
- Fixes an issue with group assignment
- Fixes a hard-coded table prefix in the css associations stuff
- Fixes a problem with REQUEST_URI not being set on IIS hosts (stupid windows)
- TinyMCE: Fixed problem with cmslinker not allowing to select parentpages
           Fixed a small bug which could cause invalid relative urls to be generated


Version 1.4 "Jamaica"
-----------------
- Includes a new system information page in the admin
  * Many thanks to Alby, and others
- Smarty now works as you would expect in the admin
  * Any new or rewritten pages in the admin are using this
  * This may break pisearch plugin, etc
- A completely new way of page template processing.
  * We split the template into three pieces
    a) Any text ontop of <head>
    b) The <head> section
    c) the rest of the template (the body)
  * We then process the top section through smarty, then the body, and finally the head.  Then we glue it back together.  This will allow variables set in page content or in various module templates to be used in the head section to effect such things as meta tags, and page titles.
  * A new text area in the options tab of content pages allows specifying page specific data (as opposed to putting page specific data into the metadata section of the page)
  * A new plugin {process_pagedata} processes the page specific data through
    smarty.  It should be at the very top of all page templates
  * On new install, all page templates have {process_pagedata} at the very top.
  * This may break sites that have used some of my tricks to
    change the page title based on news or other modules content
    so it will be off by default after release, and on for the beta
- Memory optimizations, and query optimizations: We've done a few checks, and improved a few things here and there that will provide a modest boost in performance.
  * FileManager is now an admin only module
  * nuSOAP is now an admin only module (for most sites).
  * more in memory caching
- Massive improvement in stylesheet handling: It is now possible to allow or deny browser stylesheet caching. Stylesheets are now re-orderable
- Updates to the admin menu structure: Main is now called CMS, and the logout and view site links are under there.
- Theme Improvements
  * Many thanks to Nuno
  * New icons for view site and logout
- Cleaned up and improved Module Manager.  It should be much faster and leaner now.
- Minor improvements to CMSMailer
- Improvements to the Installer
  * Many thanks to Alby
  * The installer is now fully translatable, so you can choose what
    language you want the installer pages to appear in
  * Many more checks have been added and re-organized to hopefully
    solve some of the issues people have with installation.
    - Safe mode is still a warning, however we do a required check to see if the httpd server process can create a file within a directory it created.  This should help track problems with safe mode enabled when php is running as an apache module (which we do not support).
- We now ship a full distribution as well as an english only version and several 'language packs'.
- NCleanGrey is now the default admin theme.
- you can now specify default text for additional content blocks in page templates.
- A new permission that controls access to the Tags page so that editors, etc. can see the help there.
- Add assign parameter to numerous plugins (including all module plugins)
- adds the image_url plugin (thanks Nuno)
- Now use a wysiwyg for the sitedown message and the custom404 message.
- Added the target option to the 'content' content type.
- A general review of security checks in admin methods (thanks Nuno)
- Modifications to the group permissions, and user creation forms makes managing users, groups, and permissions much simpler.
  * Many thanks to _SjG_
- Updates to the embed plugin
- Add three new page attributes to content, PageLink, Link, and SectionHeader content types
- Modify the menu manager to export the new page attributes.  This will be useful for permissions, or meta data or other tags.
- FileManager gained recursive chmodding, custom sorting and saner permission handling in windows
- Printing updated to latest TCPDF release 4.0 including rewritten html rendering code
- TinyMCE got updated and some css-related issues were fixed
- Search Improvements
  * Minor performance tweaks to Search Re-indexing
  * Now escape any characters that have special importance in regular expressions before performing the search
  * Restore the template to it's pre-1.5 behavior whils till retaining the new functionality.
- Now remind the user to configure their mail settings
- A new admin function to check the current install against either a release-generated checksum file or a previously downloaded checksum file.  This will help to find upload errors, or to find files that have been modified since the last known good state, to aid in detecting hacks.
- News has had minor tweaks
  * Now handle the old pretty urls as well as the new ones
    i.e;  News/<newsid>/<pageid> will work just as well as
          News/<newsid>/<pageid>/<article-title>
  * A new icon for rss feeds
- Though it's not really a 1.4 issue, the Translation center has been fixed (many many thanks to the regex guro _SjG_) so that links will work in translated files.  We essentially translate all quotes inside of a-tags to a special string, then do the html entity stuff, then translate that special string back to quotes.  Translators need to go through and update ALL translations.

Version 1.3 "Cuba" -- June 7, 2008
-----------------
- Massive updates to translations
- Includes TinyMCE 2.4.0b5
  (this should be a release version by the time 1.3 comes out)
  Note: The wysiwyg editor is not called TinyMCE-Adv or TinyMCE-Basic anymore,
- Includes FileManager 0.3.0b2
  (this should be a release version by the time 1.3 comes out)
- Includes News 2.8
  - Fixes for pretty urls
  - Adds news_extra and custom field support to the fesubmit action
  - Uses cms_html_entity_decode for php4 compatibility
  - Removes the News content type once and for all
- Includes Search 1.5
  - Adds the ability to change the search output on a per module basis
  - Adds an ability to track search words
  - Better templating for News
  - More
- Includes MenuManager 1.5
  - Pass all parameters to the menumanager template for easier customization
  - Fixes for has_children
  - Minor fixes
- Includes ModuleManager 1.1.6
  - Now indicates that a module available in the repository is incompatible
    with the current CMS version
  - A nice big notice on the top of the display about xml vs zip modules
  - Cleanup on uninstall
- Includes a new admin theme generously donated by Nuno Costa
- All plugins are now translatable
- The title and sitename plugins now support the assign param
- Adds two new plugins (redirect_page and redirect_url)
- Debug mode now tweaks the display_errors and error levels
  in the admin section as well as in the frontend
- Listcontent is now cleaned-up and has better security checks
- Minor improvements to listmodules
- Admin templates are now override-able by creating a matching file in
  module_custom/[module name]/templates/[template filename].tpl
- All language files are now override-able by creating a matching file in
  module_custom/[module name]/lang/[language name].php
- Adds a new PageLink content type to allow linking to an internal page
  easily
- The {sitemap} plugin is deprecated, and replaced by {site_mapper} which
  is just a simple wrapper around menumanager
- Fixes so that menumanager sets has_children properly
- Attempt to handle hosts that have disabled the readfile function
- Add cms_html_entity_decode which is php4 compatible as html_entity_decode
  may not be.
- Fix un-necessary queries in cms_selflink
- Fixes for bugs #2227, 2205, 2230, 2207
- Content type names are now translatable
- Replaced the 'select all' link in Listcontent with a checkbox which is a bit more standardish
- Changed the comment at the bottom of output pages to have nothing that can be searched on

Version 1.2.5 "Free Hill" -- May 12, 2008
-----------------
- Fixed a security issue with the java applet functionality in the File Manager

Version 1.2.4 "Greenland" -- March 29, 2008
-----------------
- Fixed a potential security issue with the applet upload in File Mananger
- Fixed a bug where IE users would have content list issues if there were odd characters in a page name
- Fixed a bug where putting quotes in a "oneline" content block would cause issues while editing

Version 1.2.3 "Black Rock" -- January 2, 2008
-----------------
- Fixed a SQL injection

Version 1.2.2 "Holetown" -- November 30, 2007
-----------------
- Fix a bug in the cms_date_time plugin that was causing random
  issues with User Defined Tags
- Fix a minor issue with the handling of the site down message

Version 1.2.1 "Bridgetown"
-----------------
- New versions of News, Search, Tiny, and FileManager modules
  - see the documentation for each module to learn what has changed
  - some of these modules may have been released seperately at an earlier date
- Fixes the issue with pages being set inactive on edit if not edited by somebody
  with the 'Modify Site Structure' permission
- Adds the cms_move_uploaded_file function that all modules should use from now
  on to assist in handling file uploads.
- Adds the ability to set a 'home page' in the user prefences to determine
  a page to redirect to upon login.
- Adds a 'Home' menu item under 'Main'
- Adds a site preference for date format
- Adds the cms_date_format modifier that reads the site preference
  as well as the user preference for date format (when in the admin section)

Version 1.2 "Barbados"
-----------------
- Adds capabilities to have a wysiwyg on the front end
- Adds the ability to select 'groups' as additional editors
- Now the 'admin group' automatically has all permissions, not
  just the admin user
- Add a new page where default settings for new pages can be set
- Adds a new file manager
- Enhance the use of permissions when adding or editing content
- Adds a new 'print' plugin capable of generating pdf filees
  from one or more pages
- News 2.5.1
  * Moved the default summary and detail templates into
    their own tab
  * Adds An extra field
- Fix issues with stylesheet name changes after hitting 'apply'
- Fixes issues with spaces or underscores not being allowed in usernames
- Fixes pagination issues in the admin log, and anywhere that uses
  the built in pagination functions.
- Turn error reporting to E_ALL and turn display_errors on
  if debug mode is on.
- You can no longer delete the admin group

Version 1.1.4 "Taga" -- October 07. 2007
-----------------
- Fixes an XSS issue in the anchor tag
- Fixes an XSS issue in listtags
- Adds a permission check to adduser.php
- More fixes for potential security issues with adodb_lite
- Added a permission check to view the admin log

Version 1.1.3 "Apia" -- September 22. 2007
-----------------
- Fixes a potential security hole in adodb lite.

Version 1.1.2 "Savaii" -- September 3, 2007
-----------------
- Fixes the order of buttons in the edit template page
- Fixes so that you can now uninstall and remove modules even
  if their MaximumCMSVersion is greater than the current
- Fixes an obscure problem with parameters getting passed to the
  wrong module if modules calls were used in a template, after they
  were included from the content

Version 1.1.1 "Upolu" -- Aug 09 2007
-----------------
- Fixes to wysiwyg handling in GCB's
- Fixes to some over zealous input parameter cleaning
- Fixes so that modules that used showtemplate=false wouldn't generate an error
- Rationalization to the order of buttons (apply/submit/cancel)
- Fixes to the umask test and global umask settings
- Fixes to the apply button in WYSIWYGS
- Fixes for installing on postgres
- Fixes to the wordage (rows/columns) in the CreateTextArea method
- Fixes to News pagination and upgrade issues (2.3.0.2 is now the version of
  news released with 1.1.1

Version 1.1 "Samoa" -- Jul 13 2007
-----------------
- Numerous changes to attempt to minimize the potential for XSS attacks
- Cleanup SQL statements to prevent against SQL injection attacks
- Add the page alias to the link content type
- Add Apply/Submit/Cancel buttons to the top of the edittemplate form
- Upgrade to Smarty 2.6.18
- Upgrade to adodb_lite 1.42
- Add an apply button to UDT edit page
- Check usernames for invalid characters when creating/editing users
- Add sitename to admin title and header text
- Rationalization and fixes to the {menu} and {search} tags
- Adds the ability to have a separate syntax hilighter module for templates,stylesheets, and UDT's
- Adds a date_format_string preference in the user preferences
  - Modify the admin log to use the date format string user preference
  - Show the last modified date in templates, stylesheets and content,
    and use the date format string preference.
- Hide the encoding dropdown from the template page, if it is not already set
- Changes to the module api to prevent XSS vulnerabilities
  - Call cms_htmlentities on each parameter in the form api that can be
    output to html verbatim
  - Add functionality for cleaning input parameters before they are
    given to the module api.  Also allows for optionally dropping parameters
    that are unknown to the module.
  - Add methods SetParameterType and RestrictUnknownParams to the module
    api so that modules can inform the core as to which parameters to expect
    on input,and how to clean them.
- Adds a RegisterModulePlugin method to the module api so that we can
  use {modulename param=value...} instead of
  {cms_module module='modulename' param=value ...}
- Use root url for default content in links, fixes double url issues.
- Adds ajaxy code to the apply button when editing css, templates or
  stylesheets so that the text area scroll bar doesn't move.
- Add sender ip to the contact_form message
- Add a site preference to disable the safe_mode warning in the admin
- Add a site preference to restrict warnings about unknown parameters
- Now check for 'Modify Any Page' permission or 'Modify Page Structure'
  to allow people to activate or deactivate content.
- Fixes to the installer
- Upgrade Scriptaculous to 1.7.0
- Add some help on how to use CGB's
- News enhancements
  - Frontend Pagination for summary articles
  - Admin article pagination, sorting, and filtering
  - Use the date_format_string preference in the admin
  - Display more information in the article list

Version 1.0.6 "Niihau" -- Apr 24 2007
-----------------
- Fixes a potential SQL injection hole in stylesheet.php
- A new installer that uses smarty templates and classes.
  it doesn't look much better atm, but does have alot more power and
  is alot cleaner for the future.
- Show the footer on tags about and help pages
- Fixes to the expression that caused session_start to not always be
  called.
- Fixes for errors in get_template_vars with newer php versions
- (important) Fixes a problem where the wrong module could be unloaded
  from memory if module files had been deleted manually, without explicitly
  uninstalling the module first.
- Fixes to the safe mode tests
- Fixes for open_basedir issues in ImageManager
- Repeated quick reloads should no longer violate the 'cachable' page property.
- Add a download link for the admin log
- Fixes for the umask test in global settings

Version 1.0.5 "Molokai" -- Mar 26 2007
-----------------
- Fixes to Global Settings
- Fixes to Delete Stylesheet Association
- Spaces are no longer allowed in UDT names
- $gCms is now given to smarty by default
- Added ability to test the file creation mask in Global settings
- Added page alias on mouseover when in listcontent.
- Added safe_mode check into the admin section
- Modified listmodules to display a message when safe mode is enabled
  and installing files via XML could be a problem.
- Appropriate modifications to ModuleManager and ThemeManager for
  safe mode.

Version 1.0.4 "Lanai" -- Jan 23 2007
-----------------

- Fixed issue with number of queries not showing up properly at the
  end of index.php
- Fixed issues with breadcrumbs, including nodes not showing up and
  duplicate nodes showing
- Fixed the warning that showed up in the 25 to 26 upgrade script
  if you didn't have any events
- Fixed bug with installer where it doesn't write windows paths
  correctly
- Fixed issue with Search where it would mess with the letter case
  when showing the highlighted text

Version 1.0.3 "Kauai" -- Jan 18 2007
-----------------

- Fixed several non-permanent XSS vulnerabilities
- Fixed issue with breadcrumbs plugin displaying root node multiple
  times
- Fixed issue with multiple events being entered
- Removed global references to $db from the admin and include.php
- Added a "Modify Events" permission
- Added event for "Change Group Permissions"
- Added ability to select a file for the Link content type
- Added ability to specify default boilerplate page content
- Fixed print plugin output so that it's xhtml compliant
- Added text direction to languages for suppot of languages like
  Hebrew and Arabic
- Fixed issue where 2 installs on the same domain shared login
  sessions
- Fixed issue with contact form with pretty_urls turned on
- Fixed issue with LoadStylesheets() not loading the modified date
- Changed search schema layout.  Now allows for expiration dates on
  entries
- Changed the icon for global content so that it doesn't look like
  the Gentoo logo
- Fixed issue with expanding content in the content list when user
  didn't have the Add Page permission
- Added catpcha module support to the contact_form plugin (you still
  need to manually install the Captcha module for this to work)
- Added messages when admin log is cleared
- Much much more

Version 1.0.2 "Maui" -- Sep 20 2006
-----------------

- Added valid_css tag
- Fix default template prev and next links positions
- Fix the print tag with mod_rewrite
- Fix undefined index during logout
- Fix sitename htmlentities in installer
- Fixes for various issues in the contact form
- Fixes for issues with search with non-English characters
- Various other little fixes

Version 1.0.1 "Oahu" -- Sep 12 2006
-----------------

- Removed a few checks from the installer.
- Fixed a bug in the print tag during previewing an unsaved page.
- Fixed issue where bad content types will causes errors while
  editing content.
- Fixed issues with login/logout not making proper admin log
  reports

Version 1.0 "Hawaii" -- Sep 10 2006
-----------------

* Events

  A workflow system.  Events are generated either by the core, or by a module
  and can be handled either by other modules, or by User Defined Tags.  The
  administrator can add, remove, or re-order any of the event handlers
  for a particular event.  This functionality allows site administrators to
  add custom behavior and workflow to their system that have not been
  coded directly into the core or into other third party modules.

  For example, with a simple user defined Tag, it is now possible for
  a news article to automatically be added whenever a file is uploaded
  in the Uploads module.

* Search

  A brand new search module has been written that allows indexing of content,
  excluding certain words, and unlimited customization.  It is possible for
  third party module developers to write some code into their modules to
  allow searching of module content.

* Module Manager

  The module manager allows querying, and installing of modules hosted
  on a remote server.  The Module Manager allows an administrator to
  see the help, and about information, the dependencies, and other
  details of a module before downloading it.

* Module List Improvements

  The Module list as been optimized and some new functionality added:
  - Core modules can no longer be exported to XML
  - Only installed third party modules can be exported to XML
  - There is an option to completely remove all of the module files
    after a module has been uninstalled (if sufficient permissions exist).
  - A check is done for permissions to indicate that there may be a
    problem removing the files.

* Improved Installer

  The installer has been given some tweaks, and some additional checks
  to hopefully ward off some of the more common installation issues, and
  to ensure that most of the functionality of CMS will work properly
  after installation.

* Simplified Default Stylesheets

  The default stylesheets have been simplified and documented, so that
  it is (hopefully) easier for somebody to start modifying their site
  given the standard stylesheets

* Improved default templates and content

  The default templates and content have been improved in appearance and
  in content, and thoroughly documented.

* Improved content list

  Content list has been given an overhaul:
  - Active, Default, Collapse and Move buttons now work via AJAX calls
    for faster response.
  - A drag and drop reodering system
  - Reordering boxes for the css/javascript impaired

* AJAX Content Preview

  The preview has been moved to a tab and will update as soon as you click
  on it.

* Admin interface improvements

  The appearance of the admin interface has been improved significantly.
  There are now help links in each module and in other core locations that
  will link back to the wiki.

* New default layouts

  tested with all major browsers (including Internet Explorer 7 beta 3)
  Styles and templates now have comments so editing is easier
  sample stylesheets for handheld devices and print

* Improved plugins

  The image, cms_selflink, anchor, breadcrumbs, and other plugins have all
  been improved, and other plugins added, such as "recently_updated"

* New System Modules

  nuSOAP and CMSMailer are now included in the default install, since so
  many modules rely on them for basic functionality.

* Upgraded smarty to 2.6.14

* Upgrade ADODB Lite to 1.20

  CMSMS doesn't require that adodb or adodb lite be modified anymore.  If you need a different
  version, just download from their site and you're good to go.

  *** IMPORTANT NOTE ***

  Modules that use timestamps, or that use the RowCount() method in CMS 0.13 or
  earlier, will need to be upgraded.  This accounts for a large majority of modules and
  hopefully new versions of most modules will be out by the final release.

* Some of the bigger bugs that were fixed

  - Fixed a bug in the metadata tag where showbase would default to false, even when
    it should be true
  - Fixed a bug with displaying a few admin images
  - Fixed most of the -- Add Me -- messages when using other languages besides the default
    one for that module
  - Fixed bug with IIS support
  - Fixed bug with stylesheet display in postgres
  - Fixed bug where content type changes wouldn't stick

Version 0.13 "Canary" -- May 18 2006
-----------------

* Added bulk delete/active/inactive of templates
* Added bulk delete of stylesheets
* Added support for lighttpd web server
* Added internal pretty url handling mechanism.  It's
going to be turned off on upgrades, but on with new
installs.  Make sure the {metadata} tag is in your template
if you plan on using it.
* Added hierarchical url handling as well on the interal
mechanism.  You especially want the {metadata} tag with
this option.  It's on in new installs.
* Added base tags to the default admin theme
* Added alt tag and removed extra html from the image tag
* Added module API method so modules can output extra CSS for
their admin panels
* Changed module API so that Install, Upgrade, and Uninstall can
now live in method.xxxx.php (lowercase) if the file can be found.
* Changed FCKeditor so that it inserts cms_selflink tags by
default when linking to another page in the site
* Fixed bug with {stylesheet name=""} not working properly
* Fixed bug where default template could be set inactive
* Fixed bug where an inactive template set to default would
not be made active automatically
* Fixed bug with deleting multiple pages and not having
hierarchy gettin reset properly
* Fixed bug where installer would sometimes install a
module twice, causing issues later on
* Fixed bug where query_count doesn't exist when using
regular adodb
* Fixed bug where the module api will complain if the number
of parameters (%s) didn't match in the translated string.  Now
it just silently fails.
* Modified config.php file so that it explains what the
different options are
* Updated adodb lite to 1.20
* Updated smarty to 2.6.13

Version 0.12.2 "Savusavu" -- May 10 2006
-----------------

* Fixed security flaw in FCKeditor

Version 0.12.1 "Savusavu" -- Mar 25 2006
-----------------

* Added check if setting inactive page to the
default, it automatically makes it active
* Added assign parameter to content tag, which will assign
the output to a smarty parameter and can then be tested
properly for existing output
* Added ability to delete/active/inactive multiple pages
* Added handling of target parameter to Menu Manager
* Added ordering of stylesheets so that they're displayed in
the order they're attached to the template
* Added permissions to Menu Manager
* Added entity escaping to title and breadcrumbs plugins
* Added changes to bulletmenu-accessible.tpl by nils73
* Default persistent_db_conn setting is now false
* Changed page alias replacement to allow for hyphens
* Fixed issue with FCKeditorX where it wasn't changing the
protocol automatically on the insert link page
* Fixed cms_selflink so next/previous links respect the
show in menu flag
* Fixed length on template name in template copy command
* Fixed link at bottom of admin log
* Changed {$title} to {title} in new template page
* Fixed a reference bug in the content class
* Fixed the help of the image tag to be src, not name
* Fixed several bugs with Menu Manager in handling of
depths
* Fixed an issue with links not having a proper returnid
when using the News content type
* Made title in user defined tags clickable to edit it

Version 0.12 "Fiji" -- Mar 08 2006
-----------------

* Added the {metadata} tag for both global and page level
metdata
* Added the hierarchy manager for proper caching of site
structure
* Added ability to install xml-ified modules directly from
the admin
* Added menu manager module to replace cssmenu, ellnav,
bulletmenu and the rest.  Now output is easily customized
using Smarty templates.
* Changed handling of 404 errors and smarty errors.  {nocache}
should be a showing up less and more sane errors should
gracefully appear
* Changed html blobs to global content blocks.  {global_content}
is the new tag, but {html_blob} will also work just fine.
* Changed all language files to be UTF-8.
* Fixed bug with handling of ISS not giving back all necessary
SERVER variables
* Fixed bug where stylesheet would print out an extra url even
if there were no stylesheets with blank media types
* Lots of little changes to the module API
* Lots of additions to cms_selflink, including accessibility
improvements
* Moved page alias to always show.  Added automatic
substitution of many "alternate" characters.
* Smarty now handles the loading of our custom plugins as well.
This means we don't load EVERY plugin and insetad only the ones
used on that page.
* Removed the database port from the installer
* Switched to use adodb lite for performance reasons.  Currently
at version 1.14.
* Updated to Smarty 2.6.12

Version 0.11.2 "Scarborough" -- Dec 21 2005
-----------------

* Added extra parameters to the print tag
* Cleaned up XHTML compliance of admintheme.
* Fixed bug in contact_form in which spammers could use it to
send out spam floods
* Fixed bug with News module to allow tags in the content to
be parsed properly by smarty
* Fixed issue with installer messing up the admin password if
the database details page has an error
* Fixed permissions disappearing from addional authors when
saving an HTML Blob
* Fixed the locale settings to take the locale of the server unless
told to do otherwise in config.php
* Fixed issue where the News content type would
show up in multiple content blocks.
* Fixed issue where admin password would not work
after installation.
* Fixed several issues with modules on PostgreSQL

Version 0.11.1 "Tobago" -- Dec 05 2005
-----------------

* Changed location of the logo image in the default
stylesheet.
* Fixed a bug where cssmenu didn't always set the
right class name for parent nodes
* Fixed potential security problem where php code
could be entered into the title or menu text lines
* Fixed a bug with the stylesheet query not returning
media types.
* Fixed the clear cache button so that it removed the
content cache file as well.
* Fixed the content cache file to use the TMP_LOCATION
variable.
* Fixed a bug with GetAllContent that was causing
the Link content type to fail.
* Fixed a bug with CreatePermission not working with
the mysqli driver.
* Fixed a bug with the Dutch translation that was
causing logins to the admin to fail.
* Fixed a bug in GetDefaultPageID where and extra
FetchRow was getting called and causing a message to
show

Version 0.11 "Trinidad" -- Dec 03 2005
-----------------

* Added ability to set a media type for a stylesheet
* Added some database checks to installer.  Should help to
stop some install problems people are having.
* Added ability to link to an anchor with cms_selflink
* Added CSSMenu module and made it the default menu for new
installs
* Added ability to copy a stylesheet
* Added id and class parameters to the cms_selflink tag
* Added apply button to editing HTML Blobs
* Added Japanese translation
* Added Polish translation
* Added Russian translation
* Added UninstallPreMessage() to module API
* Changed encoding handling.  Now all admin encodings are
utf-8 with a mechanism for backwards compatibility
* Changed the default WYSIWYG to FCKeditorX
* Changed {content}, {html_blob} and {title} tags to be case
insensitive
* Changed logic of included htaccess so that html can be used
as the default extension for friendly urls
* Fixed a potential security issue with being able to edit
image files directly from the image manager
* Fixed a bug where additional content blocks would disappear
after a page was set inactive.  Fixed by adding a Load()
callback for content types.
* Fixed a bug with $gCms->variables['page_name'] not always
returning the alias
* Fixed a bug where IIS users couldn't login correctly
* Fixed a bug where IIS didn't always report QUERY_STRING, which
would generate a warning message
* Fixed a bug where all users can't get to user preferences
* Fixed a bug where css assocations did not get deleted when a
template does
* Fixed a few bugs with the css assocation page
* Fixed a few bugs with the News module
* Fixed a bug where debug mode would cause a warning error
* Fixed bug where deleting a user didn't delete their preferences
* Fixed bug with phplayers not displaying correctly if the body tag
of the template had any attributes
* Fixed bug where custom 404 message didn't show existing value
* Fixed bug with template/css associations not working properly on
Postgres
* Fixed bug with News content type where clicking on details would
link to the admin
* Removed the head tags box for content.  Instead using a content
block (eg. {content block='headtags'} will work the same way.
This has an upgrade path.
* Swedish translation was incorrectly using se_SE instead of sv_SE
as it's locale name.
* Updated ADODB to 4.65
* XHTML header did not pass along proper encoding in the admin

Version 0.10.4 "Hawksbill" -- Wed Nov 09 2005
-----------------

* Fix for a possible secuirty risk in preview functionality

Version 0.10.3 "Ebenezer" -- Wed Oct 03 2005
-----------------

* Fixed a security bug where pages were succeptable to cross
site vulnerability as per BugTraq
* More security fixes and other safeguards

Version 0.10.2 "Darkwood" -- Wed Sep 24 2005
-----------------

* Fix for image manager not checking for permissions before
allowing uploads

Version 0.10.1 "Willoughby" -- Wed Aug 31 2005
-----------------

* Fix for a possible php injection in admin/lang.php.  Thanks
to vxsfx for finding this.

Version 0.10 "Antigua" -- Tue Jul 05 2005
-----------------

* Added dropdown of encodings to add/edit template pages
* Added multiple content blocks
* Added recursive html blobs
* Added ability for modules to use templates, either file based
or db based through a few API calls
* Added support for module translations
* Added indexes to increase performance
* Added bookmarks and recent pages to the admin
* Added javascript tabs to content editing
* Added global locale option to config.php
* Added parameter to CreateLink to allow modules to force contents
to {content} tag, while still displaying the same content in their
{cms_module}.
* Changed admin interface and themes
* Changed installer to use regular Submit buttons...  now works in
Konqueror
* Fixed bug with image path generation in TinyMCE
* Fixed bug with text parameter in print plugin
* Fixed bug with inactive pages still being accessible by page id
* Fixed encoding problems with editing title and menu text in content
* Removed the redirect pages while logging in or out
* Updated ADODB to 4.61
* Updated Smarty to 2.6.9 (Jope)
* Updated TinyMCE to 1.4.4
* Updated News module to 2.0 (complete rewrite, but upgradable)
* Much Much More...

Version 0.9.2 "Hatutu" -- Fri Feb 25 2005
-----------------

* Fixed bug in site preference loading

Version 0.9.1 "Mohotani" -- Fri Feb 25 2005
-----------------

* Added collapse option to bulletmenu, for cases where section header
is used as parents for other content
* Added apply button to edit css
* Added LoadUsersByGroup() function (sjg)
* Added user and group classes to be loaded by default in include.php
* Changed new default install schema (BrumalPat)
* Changed breadcrumbs plugin to use menu text instead of title
* Fixed CreateTextInput and CreateTextHidden to change " to &quot; in
value
* Fixed bug with call to post render hook
* Fixed nasty bug where content would have properties deleted if set
inactive
* Fixed bug with files.php trying to define cmsmodule more than once
* Fixed permission check for setting active flag on content
* Fixed automated module upgrades by making AllowAutoUpgrade() function
return TRUE by defualt instead of FALSE (which is correct)
* Fixed ibrowser in ImageManager to handle subdirectories properly (sjg)
* Removed a rogue debug message
* Removed the advanced css option.  It's on all the time now.
* Updated some text in INSTALL and UPGRADE docs

Version 0.9 "Marquesas" -- Tue Feb 22 2005
-----------------

* Rewrote module API from scratch to make it easier for a module
dev to write modules.  Not only is it now object oriented, it is
also better organized and navigations related functions are
much, much easier.
* Stylesheet URL is now absolute based on root_url in config.php
* Fixed bug with content type changes breaking hierarchy (#000090)
* Fixed bug with start_element in bulletmenu and phplayers
* Fixed bug with css table not having sequence setup correctly (#000093)
* Fixed bugs with auto alias of pages
* Fixed contact form so that it's xhtml compliant (#000096)
* Fixed RSS feeds to use proper content type
* Fixed content type loading so it only loads php files
* Fixed some bugs with handling gifs in ImageManager
* Modified login procedure for a little more security
* Modified install procedure to ask for admin username and password
* Admin dir can now be changed with admin_dir paramater in config.php
* Updated Smarty to 2.6.7 (Jope)

Version 0.8.2 "Taunoa" -- Mon Jan 17 2005
-----------------

* Added wysiwyg body tag callback for making htmlarea work
* Added additional color schemes in CSS Management for overriding
the default theme. (BrumalPat)
* Fixed htaccess.txt to point to a better url
* Fixed hiding/showing of Help boxes
* Fixed link content type so that urls are encoded properly for xhtml
* Fixed handling of attached CSS to WYSIWYGs
* Fixed stylesheet hook to actually send CSS
* Fixed phplayers menu to put CSS in with template CSS so it's easily
cascaded
* Fixed initial database so first user created is not in the admin
group
* Fixed ereg_replace functions in file management (ntro)
* Fixed bug with uploading images in TinyMCE (#000087)
* Fixed bug with ordering if there are more than 10 pages in the
root of the content hierarchy
* Fixed additional editors not always being saved properly (#000086)
* Lots of other WYSIWYG related bugfixes
* Removed the html blob check in the menu for now

Version 0.8.1 "Papeete" -- Sat Jan 01 2005
-----------------

* Fixed bugs with upgrading
* Fixed html blobs
* Fixed bug with preview path

Version 0.8 "Tahiti" -- Sat Jan 01 2005
-----------------

* Added Norwegian translation (Roger 'Stigma' Knutsen)
* Added FCKeditor capability via module (not included)
* Added TinyMCE capability via module (included)
* Added versionname plugin
* Added many many module API callbacks
* Admin and default website are totally xhtml 1.0 transitional compliant
* Admin menu now only shows items that the user could have access to
* Cleaned up root directory by moving things to modules and the lib
directory
* Moved HTMLArea to a module (not included)
* Moved dhtmlmenu plugin to PHPLayers module in order to fix xhtml issues
* Rewrote all content handling from scratch for better expandibility
* Updated Traditional Chinese translation (gobido)

Version 0.7.3 -- Tue Nov 23 2004
-----------------

* Added Italian translation (emanuelez)
* Added more callback functions to module API
* Added config.php option to disable sending translations to htmlarea
(#000049)
* Added active/inactive toggle in Content Management (Xorn725)
* Added categories and other fixes to the News module (calguy1000)
* Added breadcrumbs and sitemap plugins (Manarth)
* Added clear cache button to site preferences (#000055)
* Fixed syntax highlighting not submitting data of second textarea.
* Fixed HTMLArea to display properly with all languages, even if some
still default to en_US
* Fixed bug with handling of aliases in add/editcontent
* Fixed bug with relative paths in dhtmlmenu
* Fixed changing ownership of html blobs
* Fixed displaying html_blobs in modules with executeuser
* Fixed HTML bug in print module (#000048)
* Fixed error message with Deleting templates (Part of #000047)
* Fixed check_ownership and check_authorship to be more consistant
(Xorn725)
* Fixed htmlarea so that it doesn't convert double quotes in &quot; and
mess up smarty tags
* Reenabled Image Manager
* Removed Allow Admin Access from add/edit user
* Updated adodb to 4.54

Vrersion 0.7.2 -- Wed Nov 10 2004
-----------------

* Added missing edit links to titles in CSS and News admin (#000035)
* Added ability to invert the foreground/background color of htmlarea
(#0000031)
* Added search and replace to htmlarea
* Added ability to clean pastes from Microsoft Word in htmlarea
* Added pagination to majority of admin list pages
* Added google search plugin
* Added google pagerank plugin
* Added Expand/Collapse plugin
* Added print page plugin
* Added strip_tags to RSS output in News module (#000042)
* Changed en_US to UTF-8
* Changed with of add and edit html blob pages
* Changed all template lists to be ordered by template name (#000038)
* Changed edit html blob so that is only modifies the timestamps of pages it
is actually used on.
* Changed all user lists to be ordered by username (#000039)
* Changed add content so that the alias is based off of menutext instead of
the title
* Changed upgrade script so that it always clears the cache directories even
if there is no schema change.
* Fixed custom 404 error template usage
* Fixed add and edit content pages so that the alias field is more intelligent
when auto_alias_content is on (#000043)
* Fixed login to redirect back to originally requested link
* Fixed stupid encoding issue with cms_htmlentities
* Fixed htmlarea not loading due to a notice level error (#0000034)
* Fixed a few problems with htmlarea's fullscreen not working in Internet
Explorer
* Fixed htmlblob to fill the width of the screen (#0000037)
* Updated Smarty to 2.6.6 (jope)

Version 0.7.1 -- Wed Oct 26 2004
-----------------

* Added check for session functions to install script (#000004)
* Added newline parsing to the comments module (#000011)
* Added encoding override on templates.  Fixed bugs with
htmlentities. (#000002, #000006)
* Added missing CSS to the horizontal menu (#000008)
* Added check to lang/addline.sh to make sure line doesn't already
exist (#000017)
* Added German translation (Piratos)
* Added Czech translation (peca)
* Added new div and swaptitledate parameter to News module
* Fixed a bug when hitting cancel on the login page (#000029)
* Fixed bug when not saving all fields when adding a user
* Fixed html blobs so that they can  handle smarty functions inside of them.
* Fixed email in add/edit user to accept 255 characters (#000003)
* Fixed htmlblob NOTICE level messages (#000005)
* Fixed delete confirmation text in file management (#000012)
* Fixed java syntax highlighting to submit if advnaced wasn't
expanded (#0000016)
* Removed most references to BBCode without breaking backwards
compatibility (#000013)
* Removed a rogue div from the Comments module (#000010)
* Fixed htmlarea displaying inproper align values (#0000021)
* Fixed css not properly displaying in htmlarea until post (#0000031)
* Fixed default language on login page to default to english. (#0000032)
* Changed the header slogan to be text instead of an image (#0000015)

Version 0.7 -- Mon Oct 11 2004
-----------------

* Added HTML blobs for easy administration of small chunks of html (Genie #3)
* Added Image Manager to the files section for advanced image handling
functions
* Added horizontal option to dhtmlmenu (leen)
* Added new admin style
* Added new install and upgrade look
* Added language as a user perference and also moved it to the login page
* Added java based syntax highlighting as a user preference
* Added support for mysql 4.1+ using the mysqli adodb driver
* Added cancel link to login page that redirects back to site (Genie #6)
* Added auto_upgrade functionality to modules (Genie #4)
* Added more intelligent handling of file types to file management
* Added ability to override the default encoding of the whole site, admin
included (Genie #15)
* Fixed News module so that post date shows on newly created items (Genie #5)
* Fixed bug with start and end dates when adding new News item (BamaRob)
* Fixed missing template option for News module (trac #67)
* Updated adodb to 4.53

Version 0.6.3 -- Wed Sep 22 2004
-----------------

* Fixed a very bad bug where you can login with no password

Version 0.6.2 -- Tue Sep 20 2004
-----------------

* Added Chinese translations (ray)
* Added dateformat parameter to News
* Added showtemplate parameter to moduleinterface.php, so you can do things
like show just an RSS feed and nothing else.
* Fixed a bug with html entities not getting converted properly after preview
or saved. (Fixes #62, #65)
* Fixed bug with bug with news when it's the content type.
* Updated the defalt website to be a little more up to date with the current
feature set

Version 0.6.1 -- Tue Sep 14 2004
-----------------

* Added section header content type
* Added cms_selflink plugin
* Added some functionality to the News module (make sure you upgrade it)
* Added Dutch translation (Thijs)
* Changed login and logout to work properly in IIS (Fixes #60)
* Fixed a bug with view page in listcontent (Fixes #61)
* Fixed so only content pages can be set as default (Fixes #59)
* Started moving code to an easy object oriented design
* Updated smarty to 2.6.5

Version 0.6 -- Wed Sep 01 2004
-----------------

* Added User Defined Tags (user defined php code editable in the admin)
* Added advanced CSS management for doing CSS in chunks instead of entirely
in the template
* Added Finnish translation
* Added user defined 404 messages
* Added site down message
* Added site preferences page
* Added head tags field for putting text into the <head> tag
* Changed layout of add and edit content pages to make for less scrolling
* More changes to the admin site look
* Removed gettext and instead are using a homegrown system with less weird
dependencies and is easier to create new translations

Version 0.5.1 -- Wed Aug 25 2004
-----------------

* Added assume_mod_rewrite to config if using the .htaccess and mod_rewrite
functionality
* Added automatic aliases option
* Added character map to the WYSIWYG
* Added collapsable help blurbs to some admin pages
* Fixed upgrade path from 0.1 through to 0.5.1
* Fixed up the admin stylesheet so it's more cross-browser friendly
* Fixed a bug with PATH_INFO
* Fixed a bug with Call-time pass-by-reference Warning
* Re-added phplayers-menu.css : users should however move its content to their
template.

Version 0.5 -- Sun Aug 22 2004
-----------------

* Added page aliases
* Added htaccess file to make pretty page aliases
* Added new admin stylesheet (Bewbs)
* Added new admin icons (Graeme)
* Added file manager
* Added LinkBlog module
* Added RSS module
* Added PostgreSQL 7 support
* Added phpdoc strings to many files and functions
* Added module and tag self-documentation hooks
* Added ability for module's adminexecute function to use the wysiwyg
* Added more options to dhtmlmenu and bulletmenu
* Changed modules page to be called plugins.  Added tags to same page.
* Changed config file to a new format.  Upgrade script will take care
up upgrading it automatically.
* Changed inner workings so that code is easier to
understand.  We now pass one global object around and put important
variables and objects inside it.  Makes the code very consistent.
* Changed inner working of the content hierarchy to allow for more
custom menus.
* Fixed modules to respect the installed and active flags
* Lots of little bug fixes and changes
* Removed lots of NOTICE level errors
* Updated adodb to 4.5.2

Version 0.4.1 -- Fri Aug 13 2004
-----------------

* Added template copying functionality (Fixes #39)
* Added checks to make sure Template titles can't be reused
* Added function to set template to every page (Fixes #42)
* Added config flag for turning on smarty's {php} tags (Fixes #47)
* Added config flag for setting preview tmp file location (Fixes #36)
* Fixed redirection bugs in the news module
* Fixed a bug in adding a group
* Fixed a bug where mysql imports would not work because of spaces at the
end of lines (Knaldgas)
* Fixed another bug with mysql import...  this time with magic_quotes_runtime
* Fixed several warnings and notices in later php versions
* Fixed all call_user_func_array calls to pass by value, ref is deprecated
in later php versions
* Removed the section permissions in new installs (Fixes #41)
* Removed all instances of the now() function -- for sql independence

Version 0.4 -- Tue Aug 10 2004
-----------------

* Added module API
* Added news module
* Added comments module
* Added copyright notice to bottom on all generated pages in a comment
* Added dhtml menu plugin using phplayers
* Added hierarchical content
* Fixed modified_date plugin
* Fixed several bugs with permissions
* Removed sections.  Instead we have content be children of other content
* Rewrote plugin loading so that plugins do not cache, even thought static
content does
* Rewrote install script to be more cross-database (even though other db
systems are not supported yet)
* Switched WYSIWYGs from tinymce to htmlarea

Version 0.3.2 -- Thu Jul 29 2004
-----------------

* Added version check to install.php
* Added check to make sure bbcode exists before using it
* Fixed link to cmsmadesimple in footer
* Fixed bug in displaying 404 pages
* Fixed a nasty bug where link pages would file to show in the content list
* Fixed addcontent so it sets showinmenu correctly

Version 0.3.1 -- Tue Jul 27 2004
-----------------

* Added ownership change to editcontent
* Added {title} tag (Fixes #23)
* Added adodb for database connectivity.  Will be a good thing for down the
road in supporting multiple databases
* Added template name to content list page  (Fixes #28)
* Added check to make sure users don't still own pages before the user is
deleted
* Added French translation (calexico [AT] ifrance [DOT] com)
* Fixed so that if no default page is set, system grabs first page it can find
(Fixes #22)
* Fixed redirection. (pdj [AT] txnt [DOT] com) (Fixes #27)
* Fixed nasty bug with changeperm and changeassign (fcardone [AT] wp [DOT] pl) (Fixes
#29, #30)

Version 0.3 -- Wed Jul 21 2004
-----------------

* Added PEAR.php to the lib directory for hosts that may not have it (Fixes #13)
* Added section reordering (Fixes #4)
* Added index to tables to make querying faster on the frontend (Fixes #1)
* Added password hashing for insecure hosts  (Fixes #11)
* Added content types to content creation and editing (Fixes #5)
* Added the link content type
* Added proper 404 error for pages that are not found or active (Fixes #18)
* Added admin logging and a simple report (Fixes #21)
* Added TinyMCE WYSIWYG editor for content (Fixes #10)
* Added user preferences page
* Added option to turn on/off wysiwyg in user preferences
* Changed database abstraction so that it will be able to use other db
backends in the future (Fixes #19)
* Fixed the install script (again) to work on Win32 (Fixes #12)
* Fixed the css for admin site to be a little more streamlined

Version 0.2.1 -- Tue Jul 13 2004
-----------------

* Added GetText.php to work with systems even without gettext support in php
* Added gettext functionality to all admin pages
* Added some missing mysql_free_result functions
* Added preview functionality for adding and editing content and templates
* Changed content url entries to automatically be lowercase with no odd chars
* Changed admin login page so username field gets focus on load
* Changed install.php so that it removes the test files created on page 1
* Fixed editing content so that changing sections does not mess up ordering
* Fixed the install script so that it works correctly on Win32 platforms
* Moved stylesheets to display inline instead of from separate script
* Moved menu generation code out of the bulletmenu plugin

Version 0.2 -- Mon Jul 05 2004
-----------------

* Added content reordering
* Added ability to let additional users modify content on a particular page
* Added note to show if a template or section is still being used before it is
deleted
* Added a cms_version plugin
* Added an upgrade.php
* Added a title to the admin pages
* Added an UPGRADE document
* Fixed a security hole where incactive pages can still be called by URL
* Fixed a bug in show in menu in both admin and bulletmenu
* Fixed up install.php to fit the look of the admin seciton
* Fixed the footer plugin to not have multiple divs
* Fixed the wording of INSTALL to match the text in install.php
* Fixed it so users can change their own password
* Fixed it so textareas are filled proeperly with html encoded characters
* Upgraded schema to version 2
* Removed some code from install.php that was breaking on non-posix systems
* By popular request, there is now a feature in the 'main' section of the admin panel
  to check for a newer version of CMS Made simple.  This check is done once per day.
  There are two new options in the global settings panel.  The first will
  allow overriding the default hardcoded URL to check for a new version, or to
  disable checking all together.  The second will force clearing all cached information
  and result in a version check occurring the next time the 'main' section of the
  admin panel is accessed.



Version 0.1 -- Thu Jul 01 2004
-----------------

* Initial Release
